# Generated by default/object.tt
package Paws::AmplifyBackend::CloneBackendReqObj;
  use Moose;
  has TargetEnvironmentName => (is => 'ro', isa => 'Str', request_name => 'targetEnvironmentName', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::AmplifyBackend::CloneBackendReqObj

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::AmplifyBackend::CloneBackendReqObj object:

  $service_obj->Method(Att1 => { TargetEnvironmentName => $value, ..., TargetEnvironmentName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::AmplifyBackend::CloneBackendReqObj object:

  $result = $service_obj->Method(...);
  $result->Att1->TargetEnvironmentName

=head1 DESCRIPTION

The request object for this operation.

=head1 ATTRIBUTES


=head2 B<REQUIRED> TargetEnvironmentName => Str

The name of the destination backend environment to be created.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::AmplifyBackend>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

