# Generated by default/object.tt
package Paws::AmplifyBackend::ListBackendJobReqObj;
  use Moose;
  has JobId => (is => 'ro', isa => 'Str', request_name => 'jobId', traits => ['NameInRequest']);
  has MaxResults => (is => 'ro', isa => 'Int', request_name => 'maxResults', traits => ['NameInRequest']);
  has NextToken => (is => 'ro', isa => 'Str', request_name => 'nextToken', traits => ['NameInRequest']);
  has Operation => (is => 'ro', isa => 'Str', request_name => 'operation', traits => ['NameInRequest']);
  has Status => (is => 'ro', isa => 'Str', request_name => 'status', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::AmplifyBackend::ListBackendJobReqObj

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::AmplifyBackend::ListBackendJobReqObj object:

  $service_obj->Method(Att1 => { JobId => $value, ..., Status => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::AmplifyBackend::ListBackendJobReqObj object:

  $result = $service_obj->Method(...);
  $result->Att1->JobId

=head1 DESCRIPTION

The request object for this operation.

=head1 ATTRIBUTES


=head2 JobId => Str

The ID for the job.


=head2 MaxResults => Int

The maximum number of results that you want in the response.


=head2 NextToken => Str

The token for the next set of results.


=head2 Operation => Str

Filters the list of response objects to include only those with the
specified operation name.


=head2 Status => Str

Filters the list of response objects to include only those with the
specified status.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::AmplifyBackend>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

