# Generated by default/object.tt
package Paws::AmplifyBackend::ListBackendJobRespObj;
  use Moose;
  has Jobs => (is => 'ro', isa => 'ArrayRef[Paws::AmplifyBackend::BackendJobRespObj]', request_name => 'jobs', traits => ['NameInRequest']);
  has NextToken => (is => 'ro', isa => 'Str', request_name => 'nextToken', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::AmplifyBackend::ListBackendJobRespObj

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::AmplifyBackend::ListBackendJobRespObj object:

  $service_obj->Method(Att1 => { Jobs => $value, ..., NextToken => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::AmplifyBackend::ListBackendJobRespObj object:

  $result = $service_obj->Method(...);
  $result->Att1->Jobs

=head1 DESCRIPTION

The returned list of backend jobs.

=head1 ATTRIBUTES


=head2 Jobs => ArrayRef[L<Paws::AmplifyBackend::BackendJobRespObj>]

An array of jobs and their properties.


=head2 NextToken => Str

The token for the next set of results.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::AmplifyBackend>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

