# Generated by default/object.tt
package Paws::AppMesh::GatewayRouteHostnameMatch;
  use Moose;
  has Exact => (is => 'ro', isa => 'Str', request_name => 'exact', traits => ['NameInRequest']);
  has Suffix => (is => 'ro', isa => 'Str', request_name => 'suffix', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::AppMesh::GatewayRouteHostnameMatch

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::AppMesh::GatewayRouteHostnameMatch object:

  $service_obj->Method(Att1 => { Exact => $value, ..., Suffix => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::AppMesh::GatewayRouteHostnameMatch object:

  $result = $service_obj->Method(...);
  $result->Att1->Exact

=head1 DESCRIPTION

An object representing the gateway route host name to match.

=head1 ATTRIBUTES


=head2 Exact => Str

The exact host name to match on.


=head2 Suffix => Str

The specified ending characters of the host name to match on.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::AppMesh>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

