# Generated by default/object.tt
package Paws::AppMesh::GatewayRouteTarget;
  use Moose;
  has VirtualService => (is => 'ro', isa => 'Paws::AppMesh::GatewayRouteVirtualService', request_name => 'virtualService', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::AppMesh::GatewayRouteTarget

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::AppMesh::GatewayRouteTarget object:

  $service_obj->Method(Att1 => { VirtualService => $value, ..., VirtualService => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::AppMesh::GatewayRouteTarget object:

  $result = $service_obj->Method(...);
  $result->Att1->VirtualService

=head1 DESCRIPTION

An object that represents a gateway route target.

=head1 ATTRIBUTES


=head2 B<REQUIRED> VirtualService => L<Paws::AppMesh::GatewayRouteVirtualService>

An object that represents a virtual service gateway route target.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::AppMesh>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

