# Generated by default/object.tt
package Paws::AppMesh::HttpGatewayRoutePrefixRewrite;
  use Moose;
  has DefaultPrefix => (is => 'ro', isa => 'Str', request_name => 'defaultPrefix', traits => ['NameInRequest']);
  has Value => (is => 'ro', isa => 'Str', request_name => 'value', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::AppMesh::HttpGatewayRoutePrefixRewrite

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::AppMesh::HttpGatewayRoutePrefixRewrite object:

  $service_obj->Method(Att1 => { DefaultPrefix => $value, ..., Value => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::AppMesh::HttpGatewayRoutePrefixRewrite object:

  $result = $service_obj->Method(...);
  $result->Att1->DefaultPrefix

=head1 DESCRIPTION

An object representing the beginning characters of the route to
rewrite.

=head1 ATTRIBUTES


=head2 DefaultPrefix => Str

The default prefix used to replace the incoming route prefix when
rewritten.


=head2 Value => Str

The value used to replace the incoming route prefix when rewritten.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::AppMesh>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

