# Generated by default/object.tt
package Paws::Appflow::ConnectorProfileCredentials;
  use Moose;
  has Amplitude => (is => 'ro', isa => 'Paws::Appflow::AmplitudeConnectorProfileCredentials');
  has Datadog => (is => 'ro', isa => 'Paws::Appflow::DatadogConnectorProfileCredentials');
  has Dynatrace => (is => 'ro', isa => 'Paws::Appflow::DynatraceConnectorProfileCredentials');
  has GoogleAnalytics => (is => 'ro', isa => 'Paws::Appflow::GoogleAnalyticsConnectorProfileCredentials');
  has Honeycode => (is => 'ro', isa => 'Paws::Appflow::HoneycodeConnectorProfileCredentials');
  has InforNexus => (is => 'ro', isa => 'Paws::Appflow::InforNexusConnectorProfileCredentials');
  has Marketo => (is => 'ro', isa => 'Paws::Appflow::MarketoConnectorProfileCredentials');
  has Redshift => (is => 'ro', isa => 'Paws::Appflow::RedshiftConnectorProfileCredentials');
  has Salesforce => (is => 'ro', isa => 'Paws::Appflow::SalesforceConnectorProfileCredentials');
  has ServiceNow => (is => 'ro', isa => 'Paws::Appflow::ServiceNowConnectorProfileCredentials');
  has Singular => (is => 'ro', isa => 'Paws::Appflow::SingularConnectorProfileCredentials');
  has Slack => (is => 'ro', isa => 'Paws::Appflow::SlackConnectorProfileCredentials');
  has Snowflake => (is => 'ro', isa => 'Paws::Appflow::SnowflakeConnectorProfileCredentials');
  has Trendmicro => (is => 'ro', isa => 'Paws::Appflow::TrendmicroConnectorProfileCredentials');
  has Veeva => (is => 'ro', isa => 'Paws::Appflow::VeevaConnectorProfileCredentials');
  has Zendesk => (is => 'ro', isa => 'Paws::Appflow::ZendeskConnectorProfileCredentials');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Appflow::ConnectorProfileCredentials

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Appflow::ConnectorProfileCredentials object:

  $service_obj->Method(Att1 => { Amplitude => $value, ..., Zendesk => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Appflow::ConnectorProfileCredentials object:

  $result = $service_obj->Method(...);
  $result->Att1->Amplitude

=head1 DESCRIPTION

The connector-specific credentials required by a connector.

=head1 ATTRIBUTES


=head2 Amplitude => L<Paws::Appflow::AmplitudeConnectorProfileCredentials>

The connector-specific credentials required when using Amplitude.


=head2 Datadog => L<Paws::Appflow::DatadogConnectorProfileCredentials>

The connector-specific credentials required when using Datadog.


=head2 Dynatrace => L<Paws::Appflow::DynatraceConnectorProfileCredentials>

The connector-specific credentials required when using Dynatrace.


=head2 GoogleAnalytics => L<Paws::Appflow::GoogleAnalyticsConnectorProfileCredentials>

The connector-specific credentials required when using Google
Analytics.


=head2 Honeycode => L<Paws::Appflow::HoneycodeConnectorProfileCredentials>

The connector-specific credentials required when using Amazon
Honeycode.


=head2 InforNexus => L<Paws::Appflow::InforNexusConnectorProfileCredentials>

The connector-specific credentials required when using Infor Nexus.


=head2 Marketo => L<Paws::Appflow::MarketoConnectorProfileCredentials>

The connector-specific credentials required when using Marketo.


=head2 Redshift => L<Paws::Appflow::RedshiftConnectorProfileCredentials>

The connector-specific credentials required when using Amazon Redshift.


=head2 Salesforce => L<Paws::Appflow::SalesforceConnectorProfileCredentials>

The connector-specific credentials required when using Salesforce.


=head2 ServiceNow => L<Paws::Appflow::ServiceNowConnectorProfileCredentials>

The connector-specific credentials required when using ServiceNow.


=head2 Singular => L<Paws::Appflow::SingularConnectorProfileCredentials>

The connector-specific credentials required when using Singular.


=head2 Slack => L<Paws::Appflow::SlackConnectorProfileCredentials>

The connector-specific credentials required when using Slack.


=head2 Snowflake => L<Paws::Appflow::SnowflakeConnectorProfileCredentials>

The connector-specific credentials required when using Snowflake.


=head2 Trendmicro => L<Paws::Appflow::TrendmicroConnectorProfileCredentials>

The connector-specific credentials required when using Trend Micro.


=head2 Veeva => L<Paws::Appflow::VeevaConnectorProfileCredentials>

The connector-specific credentials required when using Veeva.


=head2 Zendesk => L<Paws::Appflow::ZendeskConnectorProfileCredentials>

The connector-specific credentials required when using Zendesk.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Appflow>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

