# Generated by default/object.tt
package Paws::Appflow::DynatraceConnectorProfileCredentials;
  use Moose;
  has ApiToken => (is => 'ro', isa => 'Str', request_name => 'apiToken', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Appflow::DynatraceConnectorProfileCredentials

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Appflow::DynatraceConnectorProfileCredentials object:

  $service_obj->Method(Att1 => { ApiToken => $value, ..., ApiToken => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Appflow::DynatraceConnectorProfileCredentials object:

  $result = $service_obj->Method(...);
  $result->Att1->ApiToken

=head1 DESCRIPTION

The connector-specific profile credentials required by Dynatrace.

=head1 ATTRIBUTES


=head2 B<REQUIRED> ApiToken => Str

The API tokens used by Dynatrace API to authenticate various API calls.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Appflow>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

