# Generated by default/object.tt
package Paws::Appflow::InforNexusConnectorProfileCredentials;
  use Moose;
  has AccessKeyId => (is => 'ro', isa => 'Str', request_name => 'accessKeyId', traits => ['NameInRequest'], required => 1);
  has Datakey => (is => 'ro', isa => 'Str', request_name => 'datakey', traits => ['NameInRequest'], required => 1);
  has SecretAccessKey => (is => 'ro', isa => 'Str', request_name => 'secretAccessKey', traits => ['NameInRequest'], required => 1);
  has UserId => (is => 'ro', isa => 'Str', request_name => 'userId', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Appflow::InforNexusConnectorProfileCredentials

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Appflow::InforNexusConnectorProfileCredentials object:

  $service_obj->Method(Att1 => { AccessKeyId => $value, ..., UserId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Appflow::InforNexusConnectorProfileCredentials object:

  $result = $service_obj->Method(...);
  $result->Att1->AccessKeyId

=head1 DESCRIPTION

The connector-specific profile credentials required by Infor Nexus.

=head1 ATTRIBUTES


=head2 B<REQUIRED> AccessKeyId => Str

The Access Key portion of the credentials.


=head2 B<REQUIRED> Datakey => Str

The encryption keys used to encrypt data.


=head2 B<REQUIRED> SecretAccessKey => Str

The secret key used to sign requests.


=head2 B<REQUIRED> UserId => Str

The identifier for the user.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Appflow>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

