# Generated by default/object.tt
package Paws::Appflow::SalesforceConnectorProfileProperties;
  use Moose;
  has InstanceUrl => (is => 'ro', isa => 'Str', request_name => 'instanceUrl', traits => ['NameInRequest']);
  has IsSandboxEnvironment => (is => 'ro', isa => 'Bool', request_name => 'isSandboxEnvironment', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Appflow::SalesforceConnectorProfileProperties

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Appflow::SalesforceConnectorProfileProperties object:

  $service_obj->Method(Att1 => { InstanceUrl => $value, ..., IsSandboxEnvironment => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Appflow::SalesforceConnectorProfileProperties object:

  $result = $service_obj->Method(...);
  $result->Att1->InstanceUrl

=head1 DESCRIPTION

The connector-specific profile properties required when using
Salesforce.

=head1 ATTRIBUTES


=head2 InstanceUrl => Str

The location of the Salesforce resource.


=head2 IsSandboxEnvironment => Bool

Indicates whether the connector profile applies to a sandbox or
production environment.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Appflow>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

