# Generated by default/object.tt
package Paws::Appflow::SupportedFieldTypeDetails;
  use Moose;
  has V1 => (is => 'ro', isa => 'Paws::Appflow::FieldTypeDetails', request_name => 'v1', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Appflow::SupportedFieldTypeDetails

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Appflow::SupportedFieldTypeDetails object:

  $service_obj->Method(Att1 => { V1 => $value, ..., V1 => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Appflow::SupportedFieldTypeDetails object:

  $result = $service_obj->Method(...);
  $result->Att1->V1

=head1 DESCRIPTION

Contains details regarding all the supported C<FieldTypes> and their
corresponding C<filterOperators> and C<supportedValues>.

=head1 ATTRIBUTES


=head2 B<REQUIRED> V1 => L<Paws::Appflow::FieldTypeDetails>

The initial supported version for C<fieldType>. If this is later
changed to a different version, v2 will be introduced.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Appflow>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

