# Generated by default/object.tt
package Paws::ApplicationMigration::DescribeJobsRequestFilters;
  use Moose;
  has FromDate => (is => 'ro', isa => 'Str', request_name => 'fromDate', traits => ['NameInRequest']);
  has JobIDs => (is => 'ro', isa => 'ArrayRef[Str|Undef]', request_name => 'jobIDs', traits => ['NameInRequest']);
  has ToDate => (is => 'ro', isa => 'Str', request_name => 'toDate', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::ApplicationMigration::DescribeJobsRequestFilters

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ApplicationMigration::DescribeJobsRequestFilters object:

  $service_obj->Method(Att1 => { FromDate => $value, ..., ToDate => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ApplicationMigration::DescribeJobsRequestFilters object:

  $result = $service_obj->Method(...);
  $result->Att1->FromDate

=head1 DESCRIPTION

Request to describe Job log filters.

=head1 ATTRIBUTES


=head2 FromDate => Str

Request to describe Job log filters by date.


=head2 JobIDs => ArrayRef[Str|Undef]

Request to describe Job log filters by job ID.


=head2 ToDate => Str

Request to describe Job log by last date.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ApplicationMigration>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

