# Generated by default/object.tt
package Paws::ApplicationMigration::DescribeSourceServersRequestFilters;
  use Moose;
  has IsArchived => (is => 'ro', isa => 'Bool', request_name => 'isArchived', traits => ['NameInRequest']);
  has SourceServerIDs => (is => 'ro', isa => 'ArrayRef[Str|Undef]', request_name => 'sourceServerIDs', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::ApplicationMigration::DescribeSourceServersRequestFilters

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ApplicationMigration::DescribeSourceServersRequestFilters object:

  $service_obj->Method(Att1 => { IsArchived => $value, ..., SourceServerIDs => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ApplicationMigration::DescribeSourceServersRequestFilters object:

  $result = $service_obj->Method(...);
  $result->Att1->IsArchived

=head1 DESCRIPTION

Request to filter Source Servers list.

=head1 ATTRIBUTES


=head2 IsArchived => Bool

Request to filter Source Servers list by archived.


=head2 SourceServerIDs => ArrayRef[Str|Undef]

Request to filter Source Servers list by Source Server ID.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ApplicationMigration>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

