# Generated by default/object.tt
package Paws::ApplicationMigration::LifeCycleLastCutover;
  use Moose;
  has Finalized => (is => 'ro', isa => 'Paws::ApplicationMigration::LifeCycleLastCutoverFinalized', request_name => 'finalized', traits => ['NameInRequest']);
  has Initiated => (is => 'ro', isa => 'Paws::ApplicationMigration::LifeCycleLastCutoverInitiated', request_name => 'initiated', traits => ['NameInRequest']);
  has Reverted => (is => 'ro', isa => 'Paws::ApplicationMigration::LifeCycleLastCutoverReverted', request_name => 'reverted', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::ApplicationMigration::LifeCycleLastCutover

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ApplicationMigration::LifeCycleLastCutover object:

  $service_obj->Method(Att1 => { Finalized => $value, ..., Reverted => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ApplicationMigration::LifeCycleLastCutover object:

  $result = $service_obj->Method(...);
  $result->Att1->Finalized

=head1 DESCRIPTION

Lifecycle last Cutover .

=head1 ATTRIBUTES


=head2 Finalized => L<Paws::ApplicationMigration::LifeCycleLastCutoverFinalized>

Lifecycle Cutover finalized date and time.


=head2 Initiated => L<Paws::ApplicationMigration::LifeCycleLastCutoverInitiated>

Lifecycle last Cutover initiated.


=head2 Reverted => L<Paws::ApplicationMigration::LifeCycleLastCutoverReverted>

Lifecycle last Cutover reverted.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ApplicationMigration>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

