# Generated by default/object.tt
package Paws::ApplicationMigration::ReplicationConfigurationReplicatedDisk;
  use Moose;
  has DeviceName => (is => 'ro', isa => 'Str', request_name => 'deviceName', traits => ['NameInRequest']);
  has Iops => (is => 'ro', isa => 'Int', request_name => 'iops', traits => ['NameInRequest']);
  has IsBootDisk => (is => 'ro', isa => 'Bool', request_name => 'isBootDisk', traits => ['NameInRequest']);
  has StagingDiskType => (is => 'ro', isa => 'Str', request_name => 'stagingDiskType', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::ApplicationMigration::ReplicationConfigurationReplicatedDisk

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ApplicationMigration::ReplicationConfigurationReplicatedDisk object:

  $service_obj->Method(Att1 => { DeviceName => $value, ..., StagingDiskType => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ApplicationMigration::ReplicationConfigurationReplicatedDisk object:

  $result = $service_obj->Method(...);
  $result->Att1->DeviceName

=head1 DESCRIPTION

Replication Configuration replicated disk.

=head1 ATTRIBUTES


=head2 DeviceName => Str

Replication Configuration replicated disk device name.


=head2 Iops => Int

Replication Configuration replicated disk IOPs.


=head2 IsBootDisk => Bool

Replication Configuration replicated disk boot disk.


=head2 StagingDiskType => Str

Replication Configuration replicated disk staging disk type.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ApplicationMigration>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

