
package Paws::Athena::ListEngineVersionsOutput;
  use Moose;
  has EngineVersions => (is => 'ro', isa => 'ArrayRef[Paws::Athena::EngineVersion]');
  has NextToken => (is => 'ro', isa => 'Str');

  has _request_id => (is => 'ro', isa => 'Str');

### main pod documentation begin ###

=head1 NAME

Paws::Athena::ListEngineVersionsOutput

=head1 ATTRIBUTES


=head2 EngineVersions => ArrayRef[L<Paws::Athena::EngineVersion>]

A list of engine versions that are available to choose from.


=head2 NextToken => Str

A token generated by the Athena service that specifies where to
continue pagination if a previous request was truncated. To obtain the
next set of pages, pass in the C<NextToken> from the response object of
the previous page call.


=head2 _request_id => Str


=cut

1;