# Generated by default/object.tt
package Paws::AuditManager::BatchCreateDelegationByAssessmentError;
  use Moose;
  has CreateDelegationRequest => (is => 'ro', isa => 'Paws::AuditManager::CreateDelegationRequest', request_name => 'createDelegationRequest', traits => ['NameInRequest']);
  has ErrorCode => (is => 'ro', isa => 'Str', request_name => 'errorCode', traits => ['NameInRequest']);
  has ErrorMessage => (is => 'ro', isa => 'Str', request_name => 'errorMessage', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::AuditManager::BatchCreateDelegationByAssessmentError

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::AuditManager::BatchCreateDelegationByAssessmentError object:

  $service_obj->Method(Att1 => { CreateDelegationRequest => $value, ..., ErrorMessage => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::AuditManager::BatchCreateDelegationByAssessmentError object:

  $result = $service_obj->Method(...);
  $result->Att1->CreateDelegationRequest

=head1 DESCRIPTION

An error entity for the C<BatchCreateDelegationByAssessment> API. This
is used to provide more meaningful errors than a simple string message.

=head1 ATTRIBUTES


=head2 CreateDelegationRequest => L<Paws::AuditManager::CreateDelegationRequest>

The API request to batch create delegations in AWS Audit Manager.


=head2 ErrorCode => Str

The error code returned by the C<BatchCreateDelegationByAssessment>
API.


=head2 ErrorMessage => Str

The error message returned by the C<BatchCreateDelegationByAssessment>
API.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::AuditManager>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

