# Generated by default/object.tt
package Paws::AuditManager::BatchImportEvidenceToAssessmentControlError;
  use Moose;
  has ErrorCode => (is => 'ro', isa => 'Str', request_name => 'errorCode', traits => ['NameInRequest']);
  has ErrorMessage => (is => 'ro', isa => 'Str', request_name => 'errorMessage', traits => ['NameInRequest']);
  has ManualEvidence => (is => 'ro', isa => 'Paws::AuditManager::ManualEvidence', request_name => 'manualEvidence', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::AuditManager::BatchImportEvidenceToAssessmentControlError

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::AuditManager::BatchImportEvidenceToAssessmentControlError object:

  $service_obj->Method(Att1 => { ErrorCode => $value, ..., ManualEvidence => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::AuditManager::BatchImportEvidenceToAssessmentControlError object:

  $result = $service_obj->Method(...);
  $result->Att1->ErrorCode

=head1 DESCRIPTION

An error entity for the C<BatchImportEvidenceToAssessmentControl> API.
This is used to provide more meaningful errors than a simple string
message.

=head1 ATTRIBUTES


=head2 ErrorCode => Str

The error code returned by the
C<BatchImportEvidenceToAssessmentControl> API.


=head2 ErrorMessage => Str

The error message returned by the
C<BatchImportEvidenceToAssessmentControl> API.


=head2 ManualEvidence => L<Paws::AuditManager::ManualEvidence>

Manual evidence that cannot be collected automatically by AWS Audit
Manager.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::AuditManager>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

