# Generated by default/object.tt
package Paws::Budgets::ActionHistoryDetails;
  use Moose;
  has Action => (is => 'ro', isa => 'Paws::Budgets::Action', required => 1);
  has Message => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Budgets::ActionHistoryDetails

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Budgets::ActionHistoryDetails object:

  $service_obj->Method(Att1 => { Action => $value, ..., Message => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Budgets::ActionHistoryDetails object:

  $result = $service_obj->Method(...);
  $result->Att1->Action

=head1 DESCRIPTION

The description of details of the event.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Action => L<Paws::Budgets::Action>

The budget action resource.


=head2 B<REQUIRED> Message => Str





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Budgets>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

