# Generated by default/object.tt
package Paws::Chime::AppInstanceRetentionSettings;
  use Moose;
  has ChannelRetentionSettings => (is => 'ro', isa => 'Paws::Chime::ChannelRetentionSettings');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Chime::AppInstanceRetentionSettings

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Chime::AppInstanceRetentionSettings object:

  $service_obj->Method(Att1 => { ChannelRetentionSettings => $value, ..., ChannelRetentionSettings => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Chime::AppInstanceRetentionSettings object:

  $result = $service_obj->Method(...);
  $result->Att1->ChannelRetentionSettings

=head1 DESCRIPTION

The details of the data-retention settings for an C<AppInstance>.

=head1 ATTRIBUTES


=head2 ChannelRetentionSettings => L<Paws::Chime::ChannelRetentionSettings>

The length of time in days to retain the messages in a channel.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Chime>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

