# Generated by default/object.tt
package Paws::Chime::SipMediaApplicationCall;
  use Moose;
  has TransactionId => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Chime::SipMediaApplicationCall

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Chime::SipMediaApplicationCall object:

  $service_obj->Method(Att1 => { TransactionId => $value, ..., TransactionId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Chime::SipMediaApplicationCall object:

  $result = $service_obj->Method(...);
  $result->Att1->TransactionId

=head1 DESCRIPTION

A C<Call> instance for a SIP media application.

=head1 ATTRIBUTES


=head2 TransactionId => Str

The transaction ID of a call.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Chime>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

