# Generated by default/object.tt
package Paws::Chime::SipMediaApplicationEndpoint;
  use Moose;
  has LambdaArn => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Chime::SipMediaApplicationEndpoint

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Chime::SipMediaApplicationEndpoint object:

  $service_obj->Method(Att1 => { LambdaArn => $value, ..., LambdaArn => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Chime::SipMediaApplicationEndpoint object:

  $result = $service_obj->Method(...);
  $result->Att1->LambdaArn

=head1 DESCRIPTION

The endpoint assigned to the SIP media application.

=head1 ATTRIBUTES


=head2 LambdaArn => Str

Valid Amazon Resource Name (ARN) of the Lambda function. The function
must be created in the same AWS Region as the SIP media application.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Chime>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

