# Generated by default/object.tt
package Paws::CloudFormation::TypeConfigurationIdentifier;
  use Moose;
  has Type => (is => 'ro', isa => 'Str');
  has TypeArn => (is => 'ro', isa => 'Str');
  has TypeConfigurationAlias => (is => 'ro', isa => 'Str');
  has TypeConfigurationArn => (is => 'ro', isa => 'Str');
  has TypeName => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::CloudFormation::TypeConfigurationIdentifier

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CloudFormation::TypeConfigurationIdentifier object:

  $service_obj->Method(Att1 => { Type => $value, ..., TypeName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CloudFormation::TypeConfigurationIdentifier object:

  $result = $service_obj->Method(...);
  $result->Att1->Type

=head1 DESCRIPTION

Identifying information for the configuration of a CloudFormation
extension.

=head1 ATTRIBUTES


=head2 Type => Str

The type of extension.


=head2 TypeArn => Str

The Amazon Resource Name (ARN) for the extension, in this account and
region.

For public extensions, this will be the ARN assigned when you activate
the type
(https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_ActivateType.html)
in this account and region. For private extensions, this will be the
ARN assigned when you register the type
(https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_RegisterType.html)
in this account and region.


=head2 TypeConfigurationAlias => Str

The alias specified for this configuration, if one was specified when
the configuration was set.


=head2 TypeConfigurationArn => Str

The Amazon Resource Name (ARN) for the configuration, in this account
and region.


=head2 TypeName => Str

The name of the extension type to which this configuration applies.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CloudFormation>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

