# Generated by default/object.tt
package Paws::CloudFront::FunctionConfig;
  use Moose;
  has Comment => (is => 'ro', isa => 'Str', required => 1);
  has Runtime => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::CloudFront::FunctionConfig

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CloudFront::FunctionConfig object:

  $service_obj->Method(Att1 => { Comment => $value, ..., Runtime => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CloudFront::FunctionConfig object:

  $result = $service_obj->Method(...);
  $result->Att1->Comment

=head1 DESCRIPTION

Contains configuration information about a CloudFront function.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Comment => Str

A comment to describe the function.


=head2 B<REQUIRED> Runtime => Str

The functionE<rsquo>s runtime environment. The only valid value is
C<cloudfront-js-1.0>.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CloudFront>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

