# Generated by default/object.tt
package Paws::CloudFront::MonitoringSubscription;
  use Moose;
  has RealtimeMetricsSubscriptionConfig => (is => 'ro', isa => 'Paws::CloudFront::RealtimeMetricsSubscriptionConfig');

1;

### main pod documentation begin ###

=head1 NAME

Paws::CloudFront::MonitoringSubscription

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CloudFront::MonitoringSubscription object:

  $service_obj->Method(Att1 => { RealtimeMetricsSubscriptionConfig => $value, ..., RealtimeMetricsSubscriptionConfig => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CloudFront::MonitoringSubscription object:

  $result = $service_obj->Method(...);
  $result->Att1->RealtimeMetricsSubscriptionConfig

=head1 DESCRIPTION

A monitoring subscription. This structure contains information about
whether additional CloudWatch metrics are enabled for a given
CloudFront distribution.

=head1 ATTRIBUTES


=head2 RealtimeMetricsSubscriptionConfig => L<Paws::CloudFront::RealtimeMetricsSubscriptionConfig>

A subscription configuration for additional CloudWatch metrics.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CloudFront>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

