# Generated by default/object.tt
package Paws::CloudFront::RealtimeMetricsSubscriptionConfig;
  use Moose;
  has RealtimeMetricsSubscriptionStatus => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::CloudFront::RealtimeMetricsSubscriptionConfig

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CloudFront::RealtimeMetricsSubscriptionConfig object:

  $service_obj->Method(Att1 => { RealtimeMetricsSubscriptionStatus => $value, ..., RealtimeMetricsSubscriptionStatus => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CloudFront::RealtimeMetricsSubscriptionConfig object:

  $result = $service_obj->Method(...);
  $result->Att1->RealtimeMetricsSubscriptionStatus

=head1 DESCRIPTION

A subscription configuration for additional CloudWatch metrics.

=head1 ATTRIBUTES


=head2 B<REQUIRED> RealtimeMetricsSubscriptionStatus => Str

A flag that indicates whether additional CloudWatch metrics are enabled
for a given CloudFront distribution.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CloudFront>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

