# Generated by default/object.tt
package Paws::CloudHSMv2::BackupRetentionPolicy;
  use Moose;
  has Type => (is => 'ro', isa => 'Str');
  has Value => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::CloudHSMv2::BackupRetentionPolicy

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CloudHSMv2::BackupRetentionPolicy object:

  $service_obj->Method(Att1 => { Type => $value, ..., Value => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CloudHSMv2::BackupRetentionPolicy object:

  $result = $service_obj->Method(...);
  $result->Att1->Type

=head1 DESCRIPTION

A policy that defines the number of days to retain backups.

=head1 ATTRIBUTES


=head2 Type => Str

The type of backup retention policy. For the C<DAYS> type, the value is
the number of days to retain backups.


=head2 Value => Str

Use a value between 7 - 379.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CloudHSMv2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

