# Generated by default/object.tt
package Paws::CloudWatchEvents::ConnectionApiKeyAuthResponseParameters;
  use Moose;
  has ApiKeyName => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::CloudWatchEvents::ConnectionApiKeyAuthResponseParameters

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CloudWatchEvents::ConnectionApiKeyAuthResponseParameters object:

  $service_obj->Method(Att1 => { ApiKeyName => $value, ..., ApiKeyName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CloudWatchEvents::ConnectionApiKeyAuthResponseParameters object:

  $result = $service_obj->Method(...);
  $result->Att1->ApiKeyName

=head1 DESCRIPTION

Contains the authorization parameters for the connection if API Key is
specified as the authorization type.

=head1 ATTRIBUTES


=head2 ApiKeyName => Str

The name of the header to use for the C<APIKeyValue> used for
authorization.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CloudWatchEvents>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

