# Generated by default/object.tt
package Paws::CloudWatchEvents::ConnectionBasicAuthResponseParameters;
  use Moose;
  has Username => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::CloudWatchEvents::ConnectionBasicAuthResponseParameters

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CloudWatchEvents::ConnectionBasicAuthResponseParameters object:

  $service_obj->Method(Att1 => { Username => $value, ..., Username => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CloudWatchEvents::ConnectionBasicAuthResponseParameters object:

  $result = $service_obj->Method(...);
  $result->Att1->Username

=head1 DESCRIPTION

Contains the authorization parameters for the connection if Basic is
specified as the authorization type.

=head1 ATTRIBUTES


=head2 Username => Str

The user name to use for Basic authorization.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CloudWatchEvents>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

