# Generated by default/object.tt
package Paws::CodeDeploy::RelatedDeployments;
  use Moose;
  has AutoUpdateOutdatedInstancesDeploymentIds => (is => 'ro', isa => 'ArrayRef[Str|Undef]', request_name => 'autoUpdateOutdatedInstancesDeploymentIds', traits => ['NameInRequest']);
  has AutoUpdateOutdatedInstancesRootDeploymentId => (is => 'ro', isa => 'Str', request_name => 'autoUpdateOutdatedInstancesRootDeploymentId', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::CodeDeploy::RelatedDeployments

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CodeDeploy::RelatedDeployments object:

  $service_obj->Method(Att1 => { AutoUpdateOutdatedInstancesDeploymentIds => $value, ..., AutoUpdateOutdatedInstancesRootDeploymentId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CodeDeploy::RelatedDeployments object:

  $result = $service_obj->Method(...);
  $result->Att1->AutoUpdateOutdatedInstancesDeploymentIds

=head1 DESCRIPTION

Information about deployments related to the specified deployment.

=head1 ATTRIBUTES


=head2 AutoUpdateOutdatedInstancesDeploymentIds => ArrayRef[Str|Undef]

The deployment IDs of 'auto-update outdated instances' deployments
triggered by this deployment.


=head2 AutoUpdateOutdatedInstancesRootDeploymentId => Str

The deployment ID of the root deployment that triggered this
deployment.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CodeDeploy>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

