# Generated by default/object.tt
package Paws::CodeGuruProfiler::UserFeedback;
  use Moose;
  has Type => (is => 'ro', isa => 'Str', request_name => 'type', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::CodeGuruProfiler::UserFeedback

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CodeGuruProfiler::UserFeedback object:

  $service_obj->Method(Att1 => { Type => $value, ..., Type => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CodeGuruProfiler::UserFeedback object:

  $result = $service_obj->Method(...);
  $result->Att1->Type

=head1 DESCRIPTION

Feedback that can be submitted for each instance of an anomaly by the
user. Feedback is be used for improvements in generating
recommendations for the application.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Type => Str

Optional C<Positive> or C<Negative> feedback submitted by the user
about whether the recommendation is useful or not.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CodeGuruProfiler>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

