# Generated by default/object.tt
package Paws::CognitoIdp::CustomSMSLambdaVersionConfigType;
  use Moose;
  has LambdaArn => (is => 'ro', isa => 'Str', required => 1);
  has LambdaVersion => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::CognitoIdp::CustomSMSLambdaVersionConfigType

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CognitoIdp::CustomSMSLambdaVersionConfigType object:

  $service_obj->Method(Att1 => { LambdaArn => $value, ..., LambdaVersion => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CognitoIdp::CustomSMSLambdaVersionConfigType object:

  $result = $service_obj->Method(...);
  $result->Att1->LambdaArn

=head1 DESCRIPTION

A custom SMS sender Lambda configuration type.

=head1 ATTRIBUTES


=head2 B<REQUIRED> LambdaArn => Str

The Lambda Amazon Resource Name of the Lambda function that Amazon
Cognito triggers to send SMS notifications to users.


=head2 B<REQUIRED> LambdaVersion => Str

The Lambda version represents the signature of the "request" attribute
in the "event" information Amazon Cognito passes to your custom SMS
Lambda function. The only supported value is C<V1_0>.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CognitoIdp>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

