# Generated by default/object.tt
package Paws::Comprehend::EntityTypesListItem;
  use Moose;
  has Type => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Comprehend::EntityTypesListItem

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Comprehend::EntityTypesListItem object:

  $service_obj->Method(Att1 => { Type => $value, ..., Type => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Comprehend::EntityTypesListItem object:

  $result = $service_obj->Method(...);
  $result->Att1->Type

=head1 DESCRIPTION

An entity type within a labeled training dataset that Amazon Comprehend
uses to train a custom entity recognizer.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Type => Str

An entity type within a labeled training dataset that Amazon Comprehend
uses to train a custom entity recognizer.

Entity types must not contain the following invalid characters: \n
(line break), \\n (escaped line break, \r (carriage return), \\r
(escaped carriage return), \t (tab), \\t (escaped tab), space, and ,
(comma).



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Comprehend>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

