# Generated by default/object.tt
package Paws::Config::AggregateConformancePackComplianceCount;
  use Moose;
  has CompliantConformancePackCount => (is => 'ro', isa => 'Int');
  has NonCompliantConformancePackCount => (is => 'ro', isa => 'Int');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Config::AggregateConformancePackComplianceCount

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Config::AggregateConformancePackComplianceCount object:

  $service_obj->Method(Att1 => { CompliantConformancePackCount => $value, ..., NonCompliantConformancePackCount => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Config::AggregateConformancePackComplianceCount object:

  $result = $service_obj->Method(...);
  $result->Att1->CompliantConformancePackCount

=head1 DESCRIPTION

The number of conformance packs that are compliant and noncompliant.

=head1 ATTRIBUTES


=head2 CompliantConformancePackCount => Int

Number of compliant conformance packs.


=head2 NonCompliantConformancePackCount => Int

Number of noncompliant conformance packs.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Config>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

