# Generated by default/object.tt
package Paws::Connect::ContactFlowSummary;
  use Moose;
  has Arn => (is => 'ro', isa => 'Str');
  has ContactFlowType => (is => 'ro', isa => 'Str');
  has Id => (is => 'ro', isa => 'Str');
  has Name => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Connect::ContactFlowSummary

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Connect::ContactFlowSummary object:

  $service_obj->Method(Att1 => { Arn => $value, ..., Name => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Connect::ContactFlowSummary object:

  $result = $service_obj->Method(...);
  $result->Att1->Arn

=head1 DESCRIPTION

Contains summary information about a contact flow.

You can also create and update contact flows using the Amazon Connect
Flow language
(https://docs.aws.amazon.com/connect/latest/adminguide/flow-language.html).

=head1 ATTRIBUTES


=head2 Arn => Str

The Amazon Resource Name (ARN) of the contact flow.


=head2 ContactFlowType => Str

The type of contact flow.


=head2 Id => Str

The identifier of the contact flow.


=head2 Name => Str

The name of the contact flow.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Connect>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

