# Generated by default/object.tt
package Paws::Connect::LexBot;
  use Moose;
  has LexRegion => (is => 'ro', isa => 'Str');
  has Name => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Connect::LexBot

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Connect::LexBot object:

  $service_obj->Method(Att1 => { LexRegion => $value, ..., Name => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Connect::LexBot object:

  $result = $service_obj->Method(...);
  $result->Att1->LexRegion

=head1 DESCRIPTION

Configuration information of an Amazon Lex bot.

=head1 ATTRIBUTES


=head2 LexRegion => Str

The Region that the Amazon Lex bot was created in.


=head2 Name => Str

The name of the Amazon Lex bot.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Connect>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

