# Generated by default/object.tt
package Paws::Connect::LexBotConfig;
  use Moose;
  has LexBot => (is => 'ro', isa => 'Paws::Connect::LexBot');
  has LexV2Bot => (is => 'ro', isa => 'Paws::Connect::LexV2Bot');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Connect::LexBotConfig

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Connect::LexBotConfig object:

  $service_obj->Method(Att1 => { LexBot => $value, ..., LexV2Bot => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Connect::LexBotConfig object:

  $result = $service_obj->Method(...);
  $result->Att1->LexBot

=head1 DESCRIPTION

Configuration information of an Amazon Lex or Amazon Lex V2 bot.

=head1 ATTRIBUTES


=head2 LexBot => L<Paws::Connect::LexBot>




=head2 LexV2Bot => L<Paws::Connect::LexV2Bot>

Configuration information of an Amazon Lex V2 bot.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Connect>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

