# Generated by default/object.tt
package Paws::ConnectContactLens::IssueDetected;
  use Moose;
  has CharacterOffsets => (is => 'ro', isa => 'Paws::ConnectContactLens::CharacterOffsets', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::ConnectContactLens::IssueDetected

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ConnectContactLens::IssueDetected object:

  $service_obj->Method(Att1 => { CharacterOffsets => $value, ..., CharacterOffsets => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ConnectContactLens::IssueDetected object:

  $result = $service_obj->Method(...);
  $result->Att1->CharacterOffsets

=head1 DESCRIPTION

Potential issues that are detected based on an artificial intelligence
analysis of each turn in the conversation.

=head1 ATTRIBUTES


=head2 B<REQUIRED> CharacterOffsets => L<Paws::ConnectContactLens::CharacterOffsets>

The offset for when the issue was detected in the segment.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ConnectContactLens>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

