# Generated by default/object.tt
package Paws::ConnectContactLens::RealtimeContactAnalysisSegment;
  use Moose;
  has Categories => (is => 'ro', isa => 'Paws::ConnectContactLens::Categories');
  has Transcript => (is => 'ro', isa => 'Paws::ConnectContactLens::Transcript');

1;

### main pod documentation begin ###

=head1 NAME

Paws::ConnectContactLens::RealtimeContactAnalysisSegment

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ConnectContactLens::RealtimeContactAnalysisSegment object:

  $service_obj->Method(Att1 => { Categories => $value, ..., Transcript => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ConnectContactLens::RealtimeContactAnalysisSegment object:

  $result = $service_obj->Method(...);
  $result->Att1->Categories

=head1 DESCRIPTION

An analyzed segment for a real-time analysis session.

=head1 ATTRIBUTES


=head2 Categories => L<Paws::ConnectContactLens::Categories>

The matched category rules.


=head2 Transcript => L<Paws::ConnectContactLens::Transcript>

The analyzed transcript.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ConnectContactLens>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

