# Generated by default/object.tt
package Paws::CustomerProfiles::SalesforceSourceProperties;
  use Moose;
  has EnableDynamicFieldUpdate => (is => 'ro', isa => 'Bool');
  has IncludeDeletedRecords => (is => 'ro', isa => 'Bool');
  has Object => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::CustomerProfiles::SalesforceSourceProperties

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CustomerProfiles::SalesforceSourceProperties object:

  $service_obj->Method(Att1 => { EnableDynamicFieldUpdate => $value, ..., Object => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CustomerProfiles::SalesforceSourceProperties object:

  $result = $service_obj->Method(...);
  $result->Att1->EnableDynamicFieldUpdate

=head1 DESCRIPTION

The properties that are applied when Salesforce is being used as a
source.

=head1 ATTRIBUTES


=head2 EnableDynamicFieldUpdate => Bool

The flag that enables dynamic fetching of new (recently added) fields
in the Salesforce objects while running a flow.


=head2 IncludeDeletedRecords => Bool

Indicates whether Amazon AppFlow includes deleted files in the flow
run.


=head2 B<REQUIRED> Object => Str

The object specified in the Salesforce flow source.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CustomerProfiles>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

