# Generated by default/object.tt
package Paws::DLM::Action;
  use Moose;
  has CrossRegionCopy => (is => 'ro', isa => 'ArrayRef[Paws::DLM::CrossRegionCopyAction]', required => 1);
  has Name => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::DLM::Action

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::DLM::Action object:

  $service_obj->Method(Att1 => { CrossRegionCopy => $value, ..., Name => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::DLM::Action object:

  $result = $service_obj->Method(...);
  $result->Att1->CrossRegionCopy

=head1 DESCRIPTION

Specifies an action for an event-based policy.

=head1 ATTRIBUTES


=head2 B<REQUIRED> CrossRegionCopy => ArrayRef[L<Paws::DLM::CrossRegionCopyAction>]

The rule for copying shared snapshots across Regions.


=head2 B<REQUIRED> Name => Str

A descriptive name for the action.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::DLM>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

