# Generated by default/object.tt
package Paws::DMS::ReplicationTaskAssessmentRunProgress;
  use Moose;
  has IndividualAssessmentCompletedCount => (is => 'ro', isa => 'Int');
  has IndividualAssessmentCount => (is => 'ro', isa => 'Int');

1;

### main pod documentation begin ###

=head1 NAME

Paws::DMS::ReplicationTaskAssessmentRunProgress

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::DMS::ReplicationTaskAssessmentRunProgress object:

  $service_obj->Method(Att1 => { IndividualAssessmentCompletedCount => $value, ..., IndividualAssessmentCount => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::DMS::ReplicationTaskAssessmentRunProgress object:

  $result = $service_obj->Method(...);
  $result->Att1->IndividualAssessmentCompletedCount

=head1 DESCRIPTION

The progress values reported by the C<AssessmentProgress> response
element.

=head1 ATTRIBUTES


=head2 IndividualAssessmentCompletedCount => Int

The number of individual assessments that have completed, successfully
or not.


=head2 IndividualAssessmentCount => Int

The number of individual assessments that are specified to run.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::DMS>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

