# Generated by default/object.tt
package Paws::DevOpsGuru::CostEstimationResourceCollectionFilter;
  use Moose;
  has CloudFormation => (is => 'ro', isa => 'Paws::DevOpsGuru::CloudFormationCostEstimationResourceCollectionFilter');

1;

### main pod documentation begin ###

=head1 NAME

Paws::DevOpsGuru::CostEstimationResourceCollectionFilter

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::DevOpsGuru::CostEstimationResourceCollectionFilter object:

  $service_obj->Method(Att1 => { CloudFormation => $value, ..., CloudFormation => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::DevOpsGuru::CostEstimationResourceCollectionFilter object:

  $result = $service_obj->Method(...);
  $result->Att1->CloudFormation

=head1 DESCRIPTION

Information about a filter used to specify which AWS resources are
analyzed to create a monthly DevOps Guru cost estimate. For more
information, see Estimate your Amazon DevOps Guru costs
(https://docs.aws.amazon.com/devops-guru/latest/userguide/cost-estimate.html)
and Amazon DevOps Guru pricing
(http://aws.amazon.com/devops-guru/pricing/).

=head1 ATTRIBUTES


=head2 CloudFormation => L<Paws::DevOpsGuru::CloudFormationCostEstimationResourceCollectionFilter>

An object that specifies the CloudFormation stack that defines the AWS
resources used to create a monthly estimate for DevOps Guru.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::DevOpsGuru>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

