# Generated by default/object.tt
package Paws::DevOpsGuru::ResourceCollectionFilter;
  use Moose;
  has CloudFormation => (is => 'ro', isa => 'Paws::DevOpsGuru::CloudFormationCollectionFilter');

1;

### main pod documentation begin ###

=head1 NAME

Paws::DevOpsGuru::ResourceCollectionFilter

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::DevOpsGuru::ResourceCollectionFilter object:

  $service_obj->Method(Att1 => { CloudFormation => $value, ..., CloudFormation => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::DevOpsGuru::ResourceCollectionFilter object:

  $result = $service_obj->Method(...);
  $result->Att1->CloudFormation

=head1 DESCRIPTION

Information about a filter used to specify which AWS resources are
analyzed for anomalous behavior by DevOps Guru.

=head1 ATTRIBUTES


=head2 CloudFormation => L<Paws::DevOpsGuru::CloudFormationCollectionFilter>

Information about AWS CloudFormation stacks. You can use up to 500
stacks to specify which AWS resources in your account to analyze. For
more information, see Stacks
(https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/stacks.html)
in the I<AWS CloudFormation User Guide>.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::DevOpsGuru>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

