# Generated by default/object.tt
package Paws::DynamoDB::KinesisDataStreamDestination;
  use Moose;
  has DestinationStatus => (is => 'ro', isa => 'Str');
  has DestinationStatusDescription => (is => 'ro', isa => 'Str');
  has StreamArn => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::DynamoDB::KinesisDataStreamDestination

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::DynamoDB::KinesisDataStreamDestination object:

  $service_obj->Method(Att1 => { DestinationStatus => $value, ..., StreamArn => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::DynamoDB::KinesisDataStreamDestination object:

  $result = $service_obj->Method(...);
  $result->Att1->DestinationStatus

=head1 DESCRIPTION

Describes a Kinesis data stream destination.

=head1 ATTRIBUTES


=head2 DestinationStatus => Str

The current status of replication.


=head2 DestinationStatusDescription => Str

The human-readable string that corresponds to the replica status.


=head2 StreamArn => Str

The ARN for a specific Kinesis data stream.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::DynamoDB>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

