package Paws::EC2::PeeringTgwInfo;
  use Moose;
  has OwnerId => (is => 'ro', isa => 'Str', request_name => 'ownerId', traits => ['NameInRequest']);
  has Region => (is => 'ro', isa => 'Str', request_name => 'region', traits => ['NameInRequest']);
  has TransitGatewayId => (is => 'ro', isa => 'Str', request_name => 'transitGatewayId', traits => ['NameInRequest']);
1;

### main pod documentation begin ###

=head1 NAME

Paws::EC2::PeeringTgwInfo

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::EC2::PeeringTgwInfo object:

  $service_obj->Method(Att1 => { OwnerId => $value, ..., TransitGatewayId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::EC2::PeeringTgwInfo object:

  $result = $service_obj->Method(...);
  $result->Att1->OwnerId

=head1 DESCRIPTION

This class has no description

=head1 ATTRIBUTES


=head2 OwnerId => Str

The AWS account ID of the owner of the transit gateway.


=head2 Region => Str

The Region of the transit gateway.


=head2 TransitGatewayId => Str

The ID of the transit gateway.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::EC2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut
