# Generated by default/object.tt
package Paws::ECRPublic::AuthorizationData;
  use Moose;
  has AuthorizationToken => (is => 'ro', isa => 'Str', request_name => 'authorizationToken', traits => ['NameInRequest']);
  has ExpiresAt => (is => 'ro', isa => 'Str', request_name => 'expiresAt', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::ECRPublic::AuthorizationData

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ECRPublic::AuthorizationData object:

  $service_obj->Method(Att1 => { AuthorizationToken => $value, ..., ExpiresAt => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ECRPublic::AuthorizationData object:

  $result = $service_obj->Method(...);
  $result->Att1->AuthorizationToken

=head1 DESCRIPTION

An authorization token data object that corresponds to a public
registry.

=head1 ATTRIBUTES


=head2 AuthorizationToken => Str

A base64-encoded string that contains authorization data for a public
Amazon ECR registry. When the string is decoded, it is presented in the
format C<user:password> for public registry authentication using
C<docker login>.


=head2 ExpiresAt => Str

The Unix time in seconds and milliseconds when the authorization token
expires. Authorization tokens are valid for 12 hours.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ECRPublic>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

