# Generated by default/object.tt
package Paws::ECS::ClusterConfiguration;
  use Moose;
  has ExecuteCommandConfiguration => (is => 'ro', isa => 'Paws::ECS::ExecuteCommandConfiguration', request_name => 'executeCommandConfiguration', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::ECS::ClusterConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ECS::ClusterConfiguration object:

  $service_obj->Method(Att1 => { ExecuteCommandConfiguration => $value, ..., ExecuteCommandConfiguration => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ECS::ClusterConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->ExecuteCommandConfiguration

=head1 DESCRIPTION

The execute command configuration for the cluster.

=head1 ATTRIBUTES


=head2 ExecuteCommandConfiguration => L<Paws::ECS::ExecuteCommandConfiguration>

The details of the execute command configuration.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ECS>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

