# Generated by default/object.tt
package Paws::EKS::KubernetesNetworkConfigRequest;
  use Moose;
  has ServiceIpv4Cidr => (is => 'ro', isa => 'Str', request_name => 'serviceIpv4Cidr', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::EKS::KubernetesNetworkConfigRequest

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::EKS::KubernetesNetworkConfigRequest object:

  $service_obj->Method(Att1 => { ServiceIpv4Cidr => $value, ..., ServiceIpv4Cidr => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::EKS::KubernetesNetworkConfigRequest object:

  $result = $service_obj->Method(...);
  $result->Att1->ServiceIpv4Cidr

=head1 DESCRIPTION

The Kubernetes network configuration for the cluster.

=head1 ATTRIBUTES


=head2 ServiceIpv4Cidr => Str

The CIDR block to assign Kubernetes service IP addresses from. If you
don't specify a block, Kubernetes assigns addresses from either the
10.100.0.0/16 or 172.20.0.0/16 CIDR blocks. We recommend that you
specify a block that does not overlap with resources in other networks
that are peered or connected to your VPC. The block must meet the
following requirements:

=over

=item *

Within one of the following private IP address blocks: 10.0.0.0/8,
172.16.0.0.0/12, or 192.168.0.0/16.

=item *

Doesn't overlap with any CIDR block assigned to the VPC that you
selected for VPC.

=item *

Between /24 and /12.

=back

You can only specify a custom CIDR block when you create a cluster and
can't change this value once the cluster is created.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::EKS>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

