# Generated by default/object.tt
package Paws::EKS::Taint;
  use Moose;
  has Effect => (is => 'ro', isa => 'Str', request_name => 'effect', traits => ['NameInRequest']);
  has Key => (is => 'ro', isa => 'Str', request_name => 'key', traits => ['NameInRequest']);
  has Value => (is => 'ro', isa => 'Str', request_name => 'value', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::EKS::Taint

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::EKS::Taint object:

  $service_obj->Method(Att1 => { Effect => $value, ..., Value => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::EKS::Taint object:

  $result = $service_obj->Method(...);
  $result->Att1->Effect

=head1 DESCRIPTION

A property that allows a node to repel a set of pods.

=head1 ATTRIBUTES


=head2 Effect => Str

The effect of the taint.


=head2 Key => Str

The key of the taint.


=head2 Value => Str

The value of the taint.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::EKS>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

