# Generated by default/object.tt
package Paws::EMRContainers::CloudWatchMonitoringConfiguration;
  use Moose;
  has LogGroupName => (is => 'ro', isa => 'Str', request_name => 'logGroupName', traits => ['NameInRequest'], required => 1);
  has LogStreamNamePrefix => (is => 'ro', isa => 'Str', request_name => 'logStreamNamePrefix', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::EMRContainers::CloudWatchMonitoringConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::EMRContainers::CloudWatchMonitoringConfiguration object:

  $service_obj->Method(Att1 => { LogGroupName => $value, ..., LogStreamNamePrefix => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::EMRContainers::CloudWatchMonitoringConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->LogGroupName

=head1 DESCRIPTION

A configuration for CloudWatch monitoring. You can configure your jobs
to send log information to CloudWatch Logs.

=head1 ATTRIBUTES


=head2 B<REQUIRED> LogGroupName => Str

The name of the log group for log publishing.


=head2 LogStreamNamePrefix => Str

The specified name prefix for log streams.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::EMRContainers>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

