# Generated by default/object.tt
package Paws::EMRContainers::Configuration;
  use Moose;
  has Classification => (is => 'ro', isa => 'Str', request_name => 'classification', traits => ['NameInRequest'], required => 1);
  has Configurations => (is => 'ro', isa => 'ArrayRef[Paws::EMRContainers::Configuration]', request_name => 'configurations', traits => ['NameInRequest']);
  has Properties => (is => 'ro', isa => 'Paws::EMRContainers::SensitivePropertiesMap', request_name => 'properties', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::EMRContainers::Configuration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::EMRContainers::Configuration object:

  $service_obj->Method(Att1 => { Classification => $value, ..., Properties => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::EMRContainers::Configuration object:

  $result = $service_obj->Method(...);
  $result->Att1->Classification

=head1 DESCRIPTION

A configuration specification to be used when provisioning virtual
clusters, which can include configurations for applications and
software bundled with Amazon EMR on EKS. A configuration consists of a
classification, properties, and optional nested configurations. A
classification refers to an application-specific configuration file.
Properties are the settings you want to change in that file.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Classification => Str

The classification within a configuration.


=head2 Configurations => ArrayRef[L<Paws::EMRContainers::Configuration>]

A list of additional configurations to apply within a configuration
object.


=head2 Properties => L<Paws::EMRContainers::SensitivePropertiesMap>

A set of properties specified within a configuration classification.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::EMRContainers>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

