# Generated by default/object.tt
package Paws::ES::AutoTuneMaintenanceSchedule;
  use Moose;
  has CronExpressionForRecurrence => (is => 'ro', isa => 'Str');
  has Duration => (is => 'ro', isa => 'Paws::ES::Duration');
  has StartAt => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::ES::AutoTuneMaintenanceSchedule

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ES::AutoTuneMaintenanceSchedule object:

  $service_obj->Method(Att1 => { CronExpressionForRecurrence => $value, ..., StartAt => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ES::AutoTuneMaintenanceSchedule object:

  $result = $service_obj->Method(...);
  $result->Att1->CronExpressionForRecurrence

=head1 DESCRIPTION

Specifies Auto-Tune maitenance schedule. See the Developer Guide
(https://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/auto-tune.html)
for more information.

=head1 ATTRIBUTES


=head2 CronExpressionForRecurrence => Str

Specifies cron expression for a recurring maintenance schedule. See the
Developer Guide
(https://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/auto-tune.html)
for more information.


=head2 Duration => L<Paws::ES::Duration>

Specifies maintenance schedule duration: duration value and duration
unit. See the Developer Guide
(https://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/auto-tune.html)
for more information.


=head2 StartAt => Str

Specifies timestamp at which Auto-Tune maintenance schedule start.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ES>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

