# Generated by default/object.tt
package Paws::Glue::BatchUpdatePartitionRequestEntry;
  use Moose;
  has PartitionInput => (is => 'ro', isa => 'Paws::Glue::PartitionInput', required => 1);
  has PartitionValueList => (is => 'ro', isa => 'ArrayRef[Str|Undef]', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Glue::BatchUpdatePartitionRequestEntry

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Glue::BatchUpdatePartitionRequestEntry object:

  $service_obj->Method(Att1 => { PartitionInput => $value, ..., PartitionValueList => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Glue::BatchUpdatePartitionRequestEntry object:

  $result = $service_obj->Method(...);
  $result->Att1->PartitionInput

=head1 DESCRIPTION

A structure that contains the values and structure used to update a
partition.

=head1 ATTRIBUTES


=head2 B<REQUIRED> PartitionInput => L<Paws::Glue::PartitionInput>

The structure used to update a partition.


=head2 B<REQUIRED> PartitionValueList => ArrayRef[Str|Undef]

A list of values defining the partitions.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Glue>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

