# Generated by default/object.tt
package Paws::Glue::ColumnError;
  use Moose;
  has ColumnName => (is => 'ro', isa => 'Str');
  has Error => (is => 'ro', isa => 'Paws::Glue::ErrorDetail');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Glue::ColumnError

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Glue::ColumnError object:

  $service_obj->Method(Att1 => { ColumnName => $value, ..., Error => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Glue::ColumnError object:

  $result = $service_obj->Method(...);
  $result->Att1->ColumnName

=head1 DESCRIPTION

Encapsulates a column name that failed and the reason for failure.

=head1 ATTRIBUTES


=head2 ColumnName => Str

The name of the column that failed.


=head2 Error => L<Paws::Glue::ErrorDetail>

An error message with the reason for the failure of an operation.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Glue>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

