# Generated by default/object.tt
package Paws::Glue::KeySchemaElement;
  use Moose;
  has Name => (is => 'ro', isa => 'Str', required => 1);
  has Type => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Glue::KeySchemaElement

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Glue::KeySchemaElement object:

  $service_obj->Method(Att1 => { Name => $value, ..., Type => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Glue::KeySchemaElement object:

  $result = $service_obj->Method(...);
  $result->Att1->Name

=head1 DESCRIPTION

A partition key pair consisting of a name and a type.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Name => Str

The name of a partition key.


=head2 B<REQUIRED> Type => Str

The type of a partition key.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Glue>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

