# Generated by default/object.tt
package Paws::GuardDuty::AdminAccount;
  use Moose;
  has AdminAccountId => (is => 'ro', isa => 'Str', request_name => 'adminAccountId', traits => ['NameInRequest']);
  has AdminStatus => (is => 'ro', isa => 'Str', request_name => 'adminStatus', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::GuardDuty::AdminAccount

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::GuardDuty::AdminAccount object:

  $service_obj->Method(Att1 => { AdminAccountId => $value, ..., AdminStatus => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::GuardDuty::AdminAccount object:

  $result = $service_obj->Method(...);
  $result->Att1->AdminAccountId

=head1 DESCRIPTION

The account within the organization specified as the GuardDuty
delegated administrator.

=head1 ATTRIBUTES


=head2 AdminAccountId => Str

The AWS account ID for the account.


=head2 AdminStatus => Str

Indicates whether the account is enabled as the delegated
administrator.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::GuardDuty>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

