# Generated by default/object.tt
package Paws::HealthLake::PreloadDataConfig;
  use Moose;
  has PreloadDataType => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::HealthLake::PreloadDataConfig

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::HealthLake::PreloadDataConfig object:

  $service_obj->Method(Att1 => { PreloadDataType => $value, ..., PreloadDataType => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::HealthLake::PreloadDataConfig object:

  $result = $service_obj->Method(...);
  $result->Att1->PreloadDataType

=head1 DESCRIPTION

The input properties for the preloaded Data Store. Only data preloaded
from Synthea is supported.

=head1 ATTRIBUTES


=head2 B<REQUIRED> PreloadDataType => Str

The type of preloaded data. Only Synthea preloaded data is supported.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::HealthLake>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

