# Generated by default/object.tt
package Paws::Honeycode::VariableValue;
  use Moose;
  has RawValue => (is => 'ro', isa => 'Str', request_name => 'rawValue', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Honeycode::VariableValue

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Honeycode::VariableValue object:

  $service_obj->Method(Att1 => { RawValue => $value, ..., RawValue => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Honeycode::VariableValue object:

  $result = $service_obj->Method(...);
  $result->Att1->RawValue

=head1 DESCRIPTION

The input variables to the app to be used by the InvokeScreenAutomation
action request.

=head1 ATTRIBUTES


=head2 B<REQUIRED> RawValue => Str

Raw value of the variable.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Honeycode>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

