# Generated by default/object.tt
package Paws::IoTAnalytics::DatasetContentDeliveryRule;
  use Moose;
  has Destination => (is => 'ro', isa => 'Paws::IoTAnalytics::DatasetContentDeliveryDestination', request_name => 'destination', traits => ['NameInRequest'], required => 1);
  has EntryName => (is => 'ro', isa => 'Str', request_name => 'entryName', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTAnalytics::DatasetContentDeliveryRule

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTAnalytics::DatasetContentDeliveryRule object:

  $service_obj->Method(Att1 => { Destination => $value, ..., EntryName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTAnalytics::DatasetContentDeliveryRule object:

  $result = $service_obj->Method(...);
  $result->Att1->Destination

=head1 DESCRIPTION

When dataset contents are created, they are delivered to destination
specified here.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Destination => L<Paws::IoTAnalytics::DatasetContentDeliveryDestination>

The destination to which dataset contents are delivered.


=head2 EntryName => Str

The name of the dataset content delivery rules entry.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTAnalytics>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

