# Generated by default/object.tt
package Paws::IoTDeviceAdvisor::SuiteRunConfiguration;
  use Moose;
  has PrimaryDevice => (is => 'ro', isa => 'Paws::IoTDeviceAdvisor::DeviceUnderTest', request_name => 'primaryDevice', traits => ['NameInRequest']);
  has SelectedTestList => (is => 'ro', isa => 'ArrayRef[Str|Undef]', request_name => 'selectedTestList', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTDeviceAdvisor::SuiteRunConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTDeviceAdvisor::SuiteRunConfiguration object:

  $service_obj->Method(Att1 => { PrimaryDevice => $value, ..., SelectedTestList => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTDeviceAdvisor::SuiteRunConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->PrimaryDevice

=head1 DESCRIPTION

Gets suite run configuration.

=head1 ATTRIBUTES


=head2 PrimaryDevice => L<Paws::IoTDeviceAdvisor::DeviceUnderTest>

Gets the primary device for suite run.


=head2 SelectedTestList => ArrayRef[Str|Undef]

Gets test case list.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTDeviceAdvisor>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

