# Generated by default/object.tt
package Paws::IoTDeviceAdvisor::TestCaseRun;
  use Moose;
  has EndTime => (is => 'ro', isa => 'Str', request_name => 'endTime', traits => ['NameInRequest']);
  has Failure => (is => 'ro', isa => 'Str', request_name => 'failure', traits => ['NameInRequest']);
  has LogUrl => (is => 'ro', isa => 'Str', request_name => 'logUrl', traits => ['NameInRequest']);
  has StartTime => (is => 'ro', isa => 'Str', request_name => 'startTime', traits => ['NameInRequest']);
  has Status => (is => 'ro', isa => 'Str', request_name => 'status', traits => ['NameInRequest']);
  has TestCaseDefinitionId => (is => 'ro', isa => 'Str', request_name => 'testCaseDefinitionId', traits => ['NameInRequest']);
  has TestCaseDefinitionName => (is => 'ro', isa => 'Str', request_name => 'testCaseDefinitionName', traits => ['NameInRequest']);
  has TestCaseRunId => (is => 'ro', isa => 'Str', request_name => 'testCaseRunId', traits => ['NameInRequest']);
  has Warnings => (is => 'ro', isa => 'Str', request_name => 'warnings', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTDeviceAdvisor::TestCaseRun

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTDeviceAdvisor::TestCaseRun object:

  $service_obj->Method(Att1 => { EndTime => $value, ..., Warnings => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTDeviceAdvisor::TestCaseRun object:

  $result = $service_obj->Method(...);
  $result->Att1->EndTime

=head1 DESCRIPTION

Provides test case run.

=head1 ATTRIBUTES


=head2 EndTime => Str

Provides test case run end time.


=head2 Failure => Str

Provides test case run failure result.


=head2 LogUrl => Str

Provides test case run log Url.


=head2 StartTime => Str

Provides test case run start time.


=head2 Status => Str

Provides test case run status.


=head2 TestCaseDefinitionId => Str

Provides test case run definition Id.


=head2 TestCaseDefinitionName => Str

Provides test case run definition Name.


=head2 TestCaseRunId => Str

Provides test case run Id.


=head2 Warnings => Str

Provides test case run warnings.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTDeviceAdvisor>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

