# Generated by default/object.tt
package Paws::IoTEvents::AlarmEventActions;
  use Moose;
  has AlarmActions => (is => 'ro', isa => 'ArrayRef[Paws::IoTEvents::AlarmAction]', request_name => 'alarmActions', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTEvents::AlarmEventActions

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTEvents::AlarmEventActions object:

  $service_obj->Method(Att1 => { AlarmActions => $value, ..., AlarmActions => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTEvents::AlarmEventActions object:

  $result = $service_obj->Method(...);
  $result->Att1->AlarmActions

=head1 DESCRIPTION

Contains information about one or more alarm actions.

=head1 ATTRIBUTES


=head2 AlarmActions => ArrayRef[L<Paws::IoTEvents::AlarmAction>]

Specifies one or more supported actions to receive notifications when
the alarm state changes.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTEvents>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

