# Generated by default/object.tt
package Paws::IoTEvents::AlarmRule;
  use Moose;
  has SimpleRule => (is => 'ro', isa => 'Paws::IoTEvents::SimpleRule', request_name => 'simpleRule', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTEvents::AlarmRule

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTEvents::AlarmRule object:

  $service_obj->Method(Att1 => { SimpleRule => $value, ..., SimpleRule => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTEvents::AlarmRule object:

  $result = $service_obj->Method(...);
  $result->Att1->SimpleRule

=head1 DESCRIPTION

Defines when your alarm is invoked.

=head1 ATTRIBUTES


=head2 SimpleRule => L<Paws::IoTEvents::SimpleRule>

A rule that compares an input property value to a threshold value with
a comparison operator.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTEvents>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

