# Generated by default/object.tt
package Paws::IoTEvents::EmailContent;
  use Moose;
  has AdditionalMessage => (is => 'ro', isa => 'Str', request_name => 'additionalMessage', traits => ['NameInRequest']);
  has Subject => (is => 'ro', isa => 'Str', request_name => 'subject', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTEvents::EmailContent

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTEvents::EmailContent object:

  $service_obj->Method(Att1 => { AdditionalMessage => $value, ..., Subject => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTEvents::EmailContent object:

  $result = $service_obj->Method(...);
  $result->Att1->AdditionalMessage

=head1 DESCRIPTION

Contains the subject and message of an email.

=head1 ATTRIBUTES


=head2 AdditionalMessage => Str

The message that you want to send. The message can be up to 200
characters.


=head2 Subject => Str

The subject of the email.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTEvents>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

