# Generated by default/object.tt
package Paws::IoTEvents::NotificationTargetActions;
  use Moose;
  has LambdaAction => (is => 'ro', isa => 'Paws::IoTEvents::LambdaAction', request_name => 'lambdaAction', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTEvents::NotificationTargetActions

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTEvents::NotificationTargetActions object:

  $service_obj->Method(Att1 => { LambdaAction => $value, ..., LambdaAction => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTEvents::NotificationTargetActions object:

  $result = $service_obj->Method(...);
  $result->Att1->LambdaAction

=head1 DESCRIPTION

Specifies an AWS Lambda function to manage alarm notifications. You can
create one or use the AWS Lambda function provided by AWS IoT Events
(https://docs.aws.amazon.com/iotevents/latest/developerguide/lambda-support.html).

=head1 ATTRIBUTES


=head2 LambdaAction => L<Paws::IoTEvents::LambdaAction>





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTEvents>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

