# Generated by default/object.tt
package Paws::IoTSiteWise::GatewayPlatform;
  use Moose;
  has Greengrass => (is => 'ro', isa => 'Paws::IoTSiteWise::Greengrass', request_name => 'greengrass', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTSiteWise::GatewayPlatform

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTSiteWise::GatewayPlatform object:

  $service_obj->Method(Att1 => { Greengrass => $value, ..., Greengrass => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTSiteWise::GatewayPlatform object:

  $result = $service_obj->Method(...);
  $result->Att1->Greengrass

=head1 DESCRIPTION

Contains a gateway's platform information.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Greengrass => L<Paws::IoTSiteWise::Greengrass>

A gateway that runs on AWS IoT Greengrass.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTSiteWise>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

