# Generated by default/object.tt
package Paws::IoTSiteWise::MetricWindow;
  use Moose;
  has Tumbling => (is => 'ro', isa => 'Paws::IoTSiteWise::TumblingWindow', request_name => 'tumbling', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTSiteWise::MetricWindow

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTSiteWise::MetricWindow object:

  $service_obj->Method(Att1 => { Tumbling => $value, ..., Tumbling => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTSiteWise::MetricWindow object:

  $result = $service_obj->Method(...);
  $result->Att1->Tumbling

=head1 DESCRIPTION

Contains a time interval window used for data aggregate computations
(for example, average, sum, count, and so on).

=head1 ATTRIBUTES


=head2 Tumbling => L<Paws::IoTSiteWise::TumblingWindow>

The tumbling time interval window.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTSiteWise>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

