# Generated by default/object.tt
package Paws::IoTSiteWise::TimeInNanos;
  use Moose;
  has OffsetInNanos => (is => 'ro', isa => 'Int', request_name => 'offsetInNanos', traits => ['NameInRequest']);
  has TimeInSeconds => (is => 'ro', isa => 'Int', request_name => 'timeInSeconds', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTSiteWise::TimeInNanos

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTSiteWise::TimeInNanos object:

  $service_obj->Method(Att1 => { OffsetInNanos => $value, ..., TimeInSeconds => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTSiteWise::TimeInNanos object:

  $result = $service_obj->Method(...);
  $result->Att1->OffsetInNanos

=head1 DESCRIPTION

Contains a timestamp with optional nanosecond granularity.

=head1 ATTRIBUTES


=head2 OffsetInNanos => Int

The nanosecond offset from C<timeInSeconds>.


=head2 B<REQUIRED> TimeInSeconds => Int

The timestamp date, in seconds, in the Unix epoch format. Fractional
nanosecond data is provided by C<offsetInNanos>.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTSiteWise>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

