# Generated by default/object.tt
package Paws::IoTWireless::LoRaWANGetServiceProfileInfo;
  use Moose;
  has AddGwMetadata => (is => 'ro', isa => 'Bool');
  has ChannelMask => (is => 'ro', isa => 'Str');
  has DevStatusReqFreq => (is => 'ro', isa => 'Int');
  has DlBucketSize => (is => 'ro', isa => 'Int');
  has DlRate => (is => 'ro', isa => 'Int');
  has DlRatePolicy => (is => 'ro', isa => 'Str');
  has DrMax => (is => 'ro', isa => 'Int');
  has DrMin => (is => 'ro', isa => 'Int');
  has HrAllowed => (is => 'ro', isa => 'Bool');
  has MinGwDiversity => (is => 'ro', isa => 'Int');
  has NwkGeoLoc => (is => 'ro', isa => 'Bool');
  has PrAllowed => (is => 'ro', isa => 'Bool');
  has RaAllowed => (is => 'ro', isa => 'Bool');
  has ReportDevStatusBattery => (is => 'ro', isa => 'Bool');
  has ReportDevStatusMargin => (is => 'ro', isa => 'Bool');
  has TargetPer => (is => 'ro', isa => 'Int');
  has UlBucketSize => (is => 'ro', isa => 'Int');
  has UlRate => (is => 'ro', isa => 'Int');
  has UlRatePolicy => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTWireless::LoRaWANGetServiceProfileInfo

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTWireless::LoRaWANGetServiceProfileInfo object:

  $service_obj->Method(Att1 => { AddGwMetadata => $value, ..., UlRatePolicy => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTWireless::LoRaWANGetServiceProfileInfo object:

  $result = $service_obj->Method(...);
  $result->Att1->AddGwMetadata

=head1 DESCRIPTION

LoRaWANGetServiceProfileInfo object.

=head1 ATTRIBUTES


=head2 AddGwMetadata => Bool

The AddGWMetaData value.


=head2 ChannelMask => Str

The ChannelMask value.


=head2 DevStatusReqFreq => Int

The DevStatusReqFreq value.


=head2 DlBucketSize => Int

The DLBucketSize value.


=head2 DlRate => Int

The DLRate value.


=head2 DlRatePolicy => Str

The DLRatePolicy value.


=head2 DrMax => Int

The DRMax value.


=head2 DrMin => Int

The DRMin value.


=head2 HrAllowed => Bool

The HRAllowed value that describes whether handover roaming is allowed.


=head2 MinGwDiversity => Int

The MinGwDiversity value.


=head2 NwkGeoLoc => Bool

The NwkGeoLoc value.


=head2 PrAllowed => Bool

The PRAllowed value that describes whether passive roaming is allowed.


=head2 RaAllowed => Bool

The RAAllowed value that describes whether roaming activation is
allowed.


=head2 ReportDevStatusBattery => Bool

The ReportDevStatusBattery value.


=head2 ReportDevStatusMargin => Bool

The ReportDevStatusMargin value.


=head2 TargetPer => Int

The TargetPER value.


=head2 UlBucketSize => Int

The ULBucketSize value.


=head2 UlRate => Int

The ULRate value.


=head2 UlRatePolicy => Str

The ULRatePolicy value.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTWireless>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

