# Generated by default/object.tt
package Paws::IoTWireless::LoRaWANUpdateGatewayTaskCreate;
  use Moose;
  has CurrentVersion => (is => 'ro', isa => 'Paws::IoTWireless::LoRaWANGatewayVersion');
  has SigKeyCrc => (is => 'ro', isa => 'Int');
  has UpdateSignature => (is => 'ro', isa => 'Str');
  has UpdateVersion => (is => 'ro', isa => 'Paws::IoTWireless::LoRaWANGatewayVersion');

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTWireless::LoRaWANUpdateGatewayTaskCreate

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTWireless::LoRaWANUpdateGatewayTaskCreate object:

  $service_obj->Method(Att1 => { CurrentVersion => $value, ..., UpdateVersion => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTWireless::LoRaWANUpdateGatewayTaskCreate object:

  $result = $service_obj->Method(...);
  $result->Att1->CurrentVersion

=head1 DESCRIPTION

LoRaWANUpdateGatewayTaskCreate object.

=head1 ATTRIBUTES


=head2 CurrentVersion => L<Paws::IoTWireless::LoRaWANGatewayVersion>

The version of the gateways that should receive the update.


=head2 SigKeyCrc => Int

The CRC of the signature private key to check.


=head2 UpdateSignature => Str

The signature used to verify the update firmware.


=head2 UpdateVersion => L<Paws::IoTWireless::LoRaWANGatewayVersion>

The firmware version to update the gateway to.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTWireless>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

