# Generated by default/object.tt
package Paws::IoTWireless::OtaaV1_1;
  use Moose;
  has AppKey => (is => 'ro', isa => 'Str');
  has JoinEui => (is => 'ro', isa => 'Str');
  has NwkKey => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTWireless::OtaaV1_1

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTWireless::OtaaV1_1 object:

  $service_obj->Method(Att1 => { AppKey => $value, ..., NwkKey => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTWireless::OtaaV1_1 object:

  $result = $service_obj->Method(...);
  $result->Att1->AppKey

=head1 DESCRIPTION

OTAA device object for v1.1

=head1 ATTRIBUTES


=head2 AppKey => Str

The AppKey value.


=head2 JoinEui => Str

The JoinEUI value.


=head2 NwkKey => Str

The NwkKey value.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTWireless>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

