# Generated by default/object.tt
package Paws::IoTWireless::SidewalkSendDataToDevice;
  use Moose;
  has MessageType => (is => 'ro', isa => 'Str');
  has Seq => (is => 'ro', isa => 'Int');

1;

### main pod documentation begin ###

=head1 NAME

Paws::IoTWireless::SidewalkSendDataToDevice

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::IoTWireless::SidewalkSendDataToDevice object:

  $service_obj->Method(Att1 => { MessageType => $value, ..., Seq => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::IoTWireless::SidewalkSendDataToDevice object:

  $result = $service_obj->Method(...);
  $result->Att1->MessageType

=head1 DESCRIPTION

Information about a Sidewalk router.

=head1 ATTRIBUTES


=head2 MessageType => Str




=head2 Seq => Int

The sequence number.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::IoTWireless>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

