# Generated by default/object.tt
package Paws::Kafka::BrokerLogs;
  use Moose;
  has CloudWatchLogs => (is => 'ro', isa => 'Paws::Kafka::CloudWatchLogs', request_name => 'cloudWatchLogs', traits => ['NameInRequest']);
  has Firehose => (is => 'ro', isa => 'Paws::Kafka::Firehose', request_name => 'firehose', traits => ['NameInRequest']);
  has S3 => (is => 'ro', isa => 'Paws::Kafka::S3', request_name => 's3', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Kafka::BrokerLogs

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Kafka::BrokerLogs object:

  $service_obj->Method(Att1 => { CloudWatchLogs => $value, ..., S3 => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Kafka::BrokerLogs object:

  $result = $service_obj->Method(...);
  $result->Att1->CloudWatchLogs

=head1 DESCRIPTION

This class has no description

=head1 ATTRIBUTES


=head2 CloudWatchLogs => L<Paws::Kafka::CloudWatchLogs>




=head2 Firehose => L<Paws::Kafka::Firehose>




=head2 S3 => L<Paws::Kafka::S3>





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Kafka>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

