# Generated by default/object.tt
package Paws::Kendra::Principal;
  use Moose;
  has Access => (is => 'ro', isa => 'Str', required => 1);
  has Name => (is => 'ro', isa => 'Str', required => 1);
  has Type => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Kendra::Principal

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Kendra::Principal object:

  $service_obj->Method(Att1 => { Access => $value, ..., Type => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Kendra::Principal object:

  $result = $service_obj->Method(...);
  $result->Att1->Access

=head1 DESCRIPTION

Provides user and group information for document access filtering.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Access => Str

Whether to allow or deny access to the principal.


=head2 B<REQUIRED> Name => Str

The name of the user or group.


=head2 B<REQUIRED> Type => Str

The type of principal.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Kendra>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

