# Generated by default/object.tt
package Paws::Kinesis::ChildShard;
  use Moose;
  has HashKeyRange => (is => 'ro', isa => 'Paws::Kinesis::HashKeyRange', required => 1);
  has ParentShards => (is => 'ro', isa => 'ArrayRef[Str|Undef]', required => 1);
  has ShardId => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Kinesis::ChildShard

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Kinesis::ChildShard object:

  $service_obj->Method(Att1 => { HashKeyRange => $value, ..., ShardId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Kinesis::ChildShard object:

  $result = $service_obj->Method(...);
  $result->Att1->HashKeyRange

=head1 DESCRIPTION

This class has no description

=head1 ATTRIBUTES


=head2 B<REQUIRED> HashKeyRange => L<Paws::Kinesis::HashKeyRange>




=head2 B<REQUIRED> ParentShards => ArrayRef[Str|Undef]




=head2 B<REQUIRED> ShardId => Str





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Kinesis>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

