# Generated by default/object.tt
package Paws::KinesisAnalyticsV2::CustomArtifactConfigurationDescription;
  use Moose;
  has ArtifactType => (is => 'ro', isa => 'Str');
  has MavenReferenceDescription => (is => 'ro', isa => 'Paws::KinesisAnalyticsV2::MavenReference');
  has S3ContentLocationDescription => (is => 'ro', isa => 'Paws::KinesisAnalyticsV2::S3ContentLocation');

1;

### main pod documentation begin ###

=head1 NAME

Paws::KinesisAnalyticsV2::CustomArtifactConfigurationDescription

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::KinesisAnalyticsV2::CustomArtifactConfigurationDescription object:

  $service_obj->Method(Att1 => { ArtifactType => $value, ..., S3ContentLocationDescription => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::KinesisAnalyticsV2::CustomArtifactConfigurationDescription object:

  $result = $service_obj->Method(...);
  $result->Att1->ArtifactType

=head1 DESCRIPTION

Specifies a dependency JAR or a JAR of user-defined functions.

=head1 ATTRIBUTES


=head2 ArtifactType => Str

C<UDF> stands for user-defined functions. This type of artifact must be
in an S3 bucket. A C<DEPENDENCY_JAR> can be in either Maven or an S3
bucket.


=head2 MavenReferenceDescription => L<Paws::KinesisAnalyticsV2::MavenReference>

The parameters that are required to specify a Maven dependency.


=head2 S3ContentLocationDescription => L<Paws::KinesisAnalyticsV2::S3ContentLocation>





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::KinesisAnalyticsV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

