# Generated by default/object.tt
package Paws::KinesisAnalyticsV2::DeployAsApplicationConfigurationDescription;
  use Moose;
  has S3ContentLocationDescription => (is => 'ro', isa => 'Paws::KinesisAnalyticsV2::S3ContentBaseLocationDescription', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::KinesisAnalyticsV2::DeployAsApplicationConfigurationDescription

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::KinesisAnalyticsV2::DeployAsApplicationConfigurationDescription object:

  $service_obj->Method(Att1 => { S3ContentLocationDescription => $value, ..., S3ContentLocationDescription => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::KinesisAnalyticsV2::DeployAsApplicationConfigurationDescription object:

  $result = $service_obj->Method(...);
  $result->Att1->S3ContentLocationDescription

=head1 DESCRIPTION

The configuration information required to deploy an Amazon Data
Analytics Studio notebook as an application with durable state.

=head1 ATTRIBUTES


=head2 B<REQUIRED> S3ContentLocationDescription => L<Paws::KinesisAnalyticsV2::S3ContentBaseLocationDescription>

The location that holds the data required to specify an Amazon Data
Analytics application.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::KinesisAnalyticsV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

