# Generated by default/object.tt
package Paws::KinesisAnalyticsV2::DeployAsApplicationConfigurationUpdate;
  use Moose;
  has S3ContentLocationUpdate => (is => 'ro', isa => 'Paws::KinesisAnalyticsV2::S3ContentBaseLocationUpdate', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::KinesisAnalyticsV2::DeployAsApplicationConfigurationUpdate

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::KinesisAnalyticsV2::DeployAsApplicationConfigurationUpdate object:

  $service_obj->Method(Att1 => { S3ContentLocationUpdate => $value, ..., S3ContentLocationUpdate => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::KinesisAnalyticsV2::DeployAsApplicationConfigurationUpdate object:

  $result = $service_obj->Method(...);
  $result->Att1->S3ContentLocationUpdate

=head1 DESCRIPTION

Updates to the configuration information required to deploy an Amazon
Data Analytics Studio notebook as an application with durable state..

=head1 ATTRIBUTES


=head2 B<REQUIRED> S3ContentLocationUpdate => L<Paws::KinesisAnalyticsV2::S3ContentBaseLocationUpdate>

Updates to the location that holds the data required to specify an
Amazon Data Analytics application.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::KinesisAnalyticsV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

