# Generated by default/object.tt
package Paws::KinesisAnalyticsV2::S3ContentBaseLocationUpdate;
  use Moose;
  has BasePathUpdate => (is => 'ro', isa => 'Str');
  has BucketARNUpdate => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::KinesisAnalyticsV2::S3ContentBaseLocationUpdate

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::KinesisAnalyticsV2::S3ContentBaseLocationUpdate object:

  $service_obj->Method(Att1 => { BasePathUpdate => $value, ..., BucketARNUpdate => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::KinesisAnalyticsV2::S3ContentBaseLocationUpdate object:

  $result = $service_obj->Method(...);
  $result->Att1->BasePathUpdate

=head1 DESCRIPTION

The information required to update the S3 base location that holds the
application.

=head1 ATTRIBUTES


=head2 BasePathUpdate => Str

The updated S3 bucket path.


=head2 B<REQUIRED> BucketARNUpdate => Str

The updated Amazon Resource Name (ARN) of the S3 bucket.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::KinesisAnalyticsV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

