# Generated by default/object.tt
package Paws::LakeFormation::TaggedDatabase;
  use Moose;
  has Database => (is => 'ro', isa => 'Paws::LakeFormation::DatabaseResource');
  has LFTags => (is => 'ro', isa => 'ArrayRef[Paws::LakeFormation::LFTagPair]');

1;

### main pod documentation begin ###

=head1 NAME

Paws::LakeFormation::TaggedDatabase

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LakeFormation::TaggedDatabase object:

  $service_obj->Method(Att1 => { Database => $value, ..., LFTags => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LakeFormation::TaggedDatabase object:

  $result = $service_obj->Method(...);
  $result->Att1->Database

=head1 DESCRIPTION

A structure describing a database resource with tags.

=head1 ATTRIBUTES


=head2 Database => L<Paws::LakeFormation::DatabaseResource>

A database that has tags attached to it.


=head2 LFTags => ArrayRef[L<Paws::LakeFormation::LFTagPair>]

A list of tags attached to the database.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LakeFormation>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

