# Generated by default/object.tt
package Paws::LexModelsV2::ImportResourceSpecification;
  use Moose;
  has BotImportSpecification => (is => 'ro', isa => 'Paws::LexModelsV2::BotImportSpecification', request_name => 'botImportSpecification', traits => ['NameInRequest']);
  has BotLocaleImportSpecification => (is => 'ro', isa => 'Paws::LexModelsV2::BotLocaleImportSpecification', request_name => 'botLocaleImportSpecification', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::LexModelsV2::ImportResourceSpecification

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LexModelsV2::ImportResourceSpecification object:

  $service_obj->Method(Att1 => { BotImportSpecification => $value, ..., BotLocaleImportSpecification => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LexModelsV2::ImportResourceSpecification object:

  $result = $service_obj->Method(...);
  $result->Att1->BotImportSpecification

=head1 DESCRIPTION

Provides information about the bot or bot locale that you want to
import. You can sepcifiy the C<botImportSpecification> or the
C<botLocaleImportSpecification>, but not both.

=head1 ATTRIBUTES


=head2 BotImportSpecification => L<Paws::LexModelsV2::BotImportSpecification>

Parameters for importing a bot.


=head2 BotLocaleImportSpecification => L<Paws::LexModelsV2::BotLocaleImportSpecification>

Parameters for importing a bot locale.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LexModelsV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

