# Generated by default/object.tt
package Paws::LexModelsV2::IntentClosingSetting;
  use Moose;
  has ClosingResponse => (is => 'ro', isa => 'Paws::LexModelsV2::ResponseSpecification', request_name => 'closingResponse', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::LexModelsV2::IntentClosingSetting

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LexModelsV2::IntentClosingSetting object:

  $service_obj->Method(Att1 => { ClosingResponse => $value, ..., ClosingResponse => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LexModelsV2::IntentClosingSetting object:

  $result = $service_obj->Method(...);
  $result->Att1->ClosingResponse

=head1 DESCRIPTION

Provides a statement the Amazon Lex conveys to the user when the intent
is successfully fulfilled.

=head1 ATTRIBUTES


=head2 B<REQUIRED> ClosingResponse => L<Paws::LexModelsV2::ResponseSpecification>

The response that Amazon Lex sends to the user when the intent is
complete.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LexModelsV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

