# Generated by default/object.tt
package Paws::LexModelsV2::TextLogSetting;
  use Moose;
  has Destination => (is => 'ro', isa => 'Paws::LexModelsV2::TextLogDestination', request_name => 'destination', traits => ['NameInRequest'], required => 1);
  has Enabled => (is => 'ro', isa => 'Bool', request_name => 'enabled', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::LexModelsV2::TextLogSetting

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LexModelsV2::TextLogSetting object:

  $service_obj->Method(Att1 => { Destination => $value, ..., Enabled => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LexModelsV2::TextLogSetting object:

  $result = $service_obj->Method(...);
  $result->Att1->Destination

=head1 DESCRIPTION

Defines settings to enable text conversation logs.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Destination => L<Paws::LexModelsV2::TextLogDestination>




=head2 B<REQUIRED> Enabled => Bool

Determines whether conversation logs should be stored for an alias.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LexModelsV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

