# Generated by default/object.tt
package Paws::LexModelsV2::VoiceSettings;
  use Moose;
  has VoiceId => (is => 'ro', isa => 'Str', request_name => 'voiceId', traits => ['NameInRequest'], required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::LexModelsV2::VoiceSettings

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LexModelsV2::VoiceSettings object:

  $service_obj->Method(Att1 => { VoiceId => $value, ..., VoiceId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LexModelsV2::VoiceSettings object:

  $result = $service_obj->Method(...);
  $result->Att1->VoiceId

=head1 DESCRIPTION

Defines settings for using an Amazon Polly voice to communicate with a
user.

=head1 ATTRIBUTES


=head2 B<REQUIRED> VoiceId => Str

The identifier of the Amazon Polly voice to use.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LexModelsV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

