# Generated by default/object.tt
package Paws::LicenseManager::Issuer;
  use Moose;
  has Name => (is => 'ro', isa => 'Str', required => 1);
  has SignKey => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::LicenseManager::Issuer

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LicenseManager::Issuer object:

  $service_obj->Method(Att1 => { Name => $value, ..., SignKey => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LicenseManager::Issuer object:

  $result = $service_obj->Method(...);
  $result->Att1->Name

=head1 DESCRIPTION

Details about the issuer of a license.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Name => Str

Issuer name.


=head2 SignKey => Str

Asymmetric CMK from AWS Key Management Service. The CMK must have a key
usage of sign and verify, and support the RSASSA-PSS SHA-256 signing
algorithm.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LicenseManager>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

