# Generated by default/object.tt
package Paws::LicenseManager::ReceivedMetadata;
  use Moose;
  has AllowedOperations => (is => 'ro', isa => 'ArrayRef[Str|Undef]');
  has ReceivedStatus => (is => 'ro', isa => 'Str');
  has ReceivedStatusReason => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::LicenseManager::ReceivedMetadata

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LicenseManager::ReceivedMetadata object:

  $service_obj->Method(Att1 => { AllowedOperations => $value, ..., ReceivedStatusReason => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LicenseManager::ReceivedMetadata object:

  $result = $service_obj->Method(...);
  $result->Att1->AllowedOperations

=head1 DESCRIPTION

Metadata associated with received licenses and grants.

=head1 ATTRIBUTES


=head2 AllowedOperations => ArrayRef[Str|Undef]

Allowed operations.


=head2 ReceivedStatus => Str

Received status.


=head2 ReceivedStatusReason => Str





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LicenseManager>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

