# Generated by default/object.tt
package Paws::LookoutEquipment::InferenceInputNameConfiguration;
  use Moose;
  has ComponentTimestampDelimiter => (is => 'ro', isa => 'Str');
  has TimestampFormat => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::LookoutEquipment::InferenceInputNameConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LookoutEquipment::InferenceInputNameConfiguration object:

  $service_obj->Method(Att1 => { ComponentTimestampDelimiter => $value, ..., TimestampFormat => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LookoutEquipment::InferenceInputNameConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->ComponentTimestampDelimiter

=head1 DESCRIPTION

E<gt>E<gt> Specifies configuration information for the input data for
the inference, including timestamp format and delimiter.

=head1 ATTRIBUTES


=head2 ComponentTimestampDelimiter => Str

Indicates the delimiter character used between items in the data.


=head2 TimestampFormat => Str

The format of the timestamp, whether Epoch time, or standard, with or
without hyphens (-).



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LookoutEquipment>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

