# Generated by default/object.tt
package Paws::LookoutEquipment::IngestionInputConfiguration;
  use Moose;
  has S3InputConfiguration => (is => 'ro', isa => 'Paws::LookoutEquipment::IngestionS3InputConfiguration', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::LookoutEquipment::IngestionInputConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LookoutEquipment::IngestionInputConfiguration object:

  $service_obj->Method(Att1 => { S3InputConfiguration => $value, ..., S3InputConfiguration => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LookoutEquipment::IngestionInputConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->S3InputConfiguration

=head1 DESCRIPTION

Specifies configuration information for the input data for the data
ingestion job, including input data S3 location.

=head1 ATTRIBUTES


=head2 B<REQUIRED> S3InputConfiguration => L<Paws::LookoutEquipment::IngestionS3InputConfiguration>

The location information for the S3 bucket used for input data for the
data ingestion.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LookoutEquipment>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

