# Generated by default/object.tt
package Paws::LookoutMetrics::FileFormatDescriptor;
  use Moose;
  has CsvFormatDescriptor => (is => 'ro', isa => 'Paws::LookoutMetrics::CsvFormatDescriptor');
  has JsonFormatDescriptor => (is => 'ro', isa => 'Paws::LookoutMetrics::JsonFormatDescriptor');

1;

### main pod documentation begin ###

=head1 NAME

Paws::LookoutMetrics::FileFormatDescriptor

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LookoutMetrics::FileFormatDescriptor object:

  $service_obj->Method(Att1 => { CsvFormatDescriptor => $value, ..., JsonFormatDescriptor => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LookoutMetrics::FileFormatDescriptor object:

  $result = $service_obj->Method(...);
  $result->Att1->CsvFormatDescriptor

=head1 DESCRIPTION

Contains information about a source file's formatting.

=head1 ATTRIBUTES


=head2 CsvFormatDescriptor => L<Paws::LookoutMetrics::CsvFormatDescriptor>

Contains information about how a source CSV data file should be
analyzed.


=head2 JsonFormatDescriptor => L<Paws::LookoutMetrics::JsonFormatDescriptor>

Contains information about how a source JSON data file should be
analyzed.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LookoutMetrics>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

