# Generated by default/object.tt
package Paws::LookoutMetrics::TimestampColumn;
  use Moose;
  has ColumnFormat => (is => 'ro', isa => 'Str');
  has ColumnName => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::LookoutMetrics::TimestampColumn

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LookoutMetrics::TimestampColumn object:

  $service_obj->Method(Att1 => { ColumnFormat => $value, ..., ColumnName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LookoutMetrics::TimestampColumn object:

  $result = $service_obj->Method(...);
  $result->Att1->ColumnFormat

=head1 DESCRIPTION

Contains information about the column used to track time in a source
data file.

=head1 ATTRIBUTES


=head2 ColumnFormat => Str

The format of the timestamp column.


=head2 ColumnName => Str

The name of the timestamp column.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LookoutMetrics>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

