# Generated by default/object.tt
package Paws::LookoutVision::DatasetSource;
  use Moose;
  has GroundTruthManifest => (is => 'ro', isa => 'Paws::LookoutVision::DatasetGroundTruthManifest');

1;

### main pod documentation begin ###

=head1 NAME

Paws::LookoutVision::DatasetSource

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::LookoutVision::DatasetSource object:

  $service_obj->Method(Att1 => { GroundTruthManifest => $value, ..., GroundTruthManifest => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::LookoutVision::DatasetSource object:

  $result = $service_obj->Method(...);
  $result->Att1->GroundTruthManifest

=head1 DESCRIPTION

Information about the location of a manifest file that Amazon Lookout
for Vision uses to to create a dataset.

=head1 ATTRIBUTES


=head2 GroundTruthManifest => L<Paws::LookoutVision::DatasetGroundTruthManifest>

Location information for the manifest file.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::LookoutVision>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

