# Generated by default/object.tt
package Paws::Macie2::AwsService;
  use Moose;
  has InvokedBy => (is => 'ro', isa => 'Str', request_name => 'invokedBy', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Macie2::AwsService

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Macie2::AwsService object:

  $service_obj->Method(Att1 => { InvokedBy => $value, ..., InvokedBy => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Macie2::AwsService object:

  $result = $service_obj->Method(...);
  $result->Att1->InvokedBy

=head1 DESCRIPTION

Provides information about an Amazon Web Service that performed an
action on an affected resource.

=head1 ATTRIBUTES


=head2 InvokedBy => Str

The name of the Amazon Web Service that performed the action.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Macie2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

