# Generated by default/object.tt
package Paws::Macie2::ListJobsFilterCriteria;
  use Moose;
  has Excludes => (is => 'ro', isa => 'ArrayRef[Paws::Macie2::ListJobsFilterTerm]', request_name => 'excludes', traits => ['NameInRequest']);
  has Includes => (is => 'ro', isa => 'ArrayRef[Paws::Macie2::ListJobsFilterTerm]', request_name => 'includes', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Macie2::ListJobsFilterCriteria

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Macie2::ListJobsFilterCriteria object:

  $service_obj->Method(Att1 => { Excludes => $value, ..., Includes => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Macie2::ListJobsFilterCriteria object:

  $result = $service_obj->Method(...);
  $result->Att1->Excludes

=head1 DESCRIPTION

Specifies criteria for filtering the results of a request for
information about classification jobs.

=head1 ATTRIBUTES


=head2 Excludes => ArrayRef[L<Paws::Macie2::ListJobsFilterTerm>]

An array of objects, one for each condition that determines which jobs
to exclude from the results.


=head2 Includes => ArrayRef[L<Paws::Macie2::ListJobsFilterTerm>]

An array of objects, one for each condition that determines which jobs
to include in the results.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Macie2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

