# Generated by default/object.tt
package Paws::Macie2::MatchingResource;
  use Moose;
  has MatchingBucket => (is => 'ro', isa => 'Paws::Macie2::MatchingBucket', request_name => 'matchingBucket', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Macie2::MatchingResource

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Macie2::MatchingResource object:

  $service_obj->Method(Att1 => { MatchingBucket => $value, ..., MatchingBucket => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Macie2::MatchingResource object:

  $result = $service_obj->Method(...);
  $result->Att1->MatchingBucket

=head1 DESCRIPTION

Provides statistical data and other information about an Amazon Web
Services resource that Amazon Macie monitors and analyzes.

=head1 ATTRIBUTES


=head2 MatchingBucket => L<Paws::Macie2::MatchingBucket>

The details of an S3 bucket that Amazon Macie monitors and analyzes.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Macie2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

