# Generated by default/object.tt
package Paws::Macie2::S3BucketCriteriaForJob;
  use Moose;
  has Excludes => (is => 'ro', isa => 'Paws::Macie2::CriteriaBlockForJob', request_name => 'excludes', traits => ['NameInRequest']);
  has Includes => (is => 'ro', isa => 'Paws::Macie2::CriteriaBlockForJob', request_name => 'includes', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Macie2::S3BucketCriteriaForJob

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Macie2::S3BucketCriteriaForJob object:

  $service_obj->Method(Att1 => { Excludes => $value, ..., Includes => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Macie2::S3BucketCriteriaForJob object:

  $result = $service_obj->Method(...);
  $result->Att1->Excludes

=head1 DESCRIPTION

Specifies property- and tag-based conditions that define criteria for
including or excluding S3 buckets from a classification job. Exclude
conditions take precedence over include conditions.

=head1 ATTRIBUTES


=head2 Excludes => L<Paws::Macie2::CriteriaBlockForJob>

The property- and tag-based conditions that determine which buckets to
exclude from the job.


=head2 Includes => L<Paws::Macie2::CriteriaBlockForJob>

The property- and tag-based conditions that determine which buckets to
include in the job.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Macie2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

