# Generated by default/object.tt
package Paws::ManagedBlockchain::LogConfigurations;
  use Moose;
  has Cloudwatch => (is => 'ro', isa => 'Paws::ManagedBlockchain::LogConfiguration');

1;

### main pod documentation begin ###

=head1 NAME

Paws::ManagedBlockchain::LogConfigurations

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ManagedBlockchain::LogConfigurations object:

  $service_obj->Method(Att1 => { Cloudwatch => $value, ..., Cloudwatch => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ManagedBlockchain::LogConfigurations object:

  $result = $service_obj->Method(...);
  $result->Att1->Cloudwatch

=head1 DESCRIPTION

A collection of log configurations.

=head1 ATTRIBUTES


=head2 Cloudwatch => L<Paws::ManagedBlockchain::LogConfiguration>

Parameters for publishing logs to Amazon CloudWatch Logs.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ManagedBlockchain>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

