# Generated by default/object.tt
package Paws::ManagedBlockchain::NodeConfiguration;
  use Moose;
  has AvailabilityZone => (is => 'ro', isa => 'Str');
  has InstanceType => (is => 'ro', isa => 'Str', required => 1);
  has LogPublishingConfiguration => (is => 'ro', isa => 'Paws::ManagedBlockchain::NodeLogPublishingConfiguration');
  has StateDB => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::ManagedBlockchain::NodeConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ManagedBlockchain::NodeConfiguration object:

  $service_obj->Method(Att1 => { AvailabilityZone => $value, ..., StateDB => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ManagedBlockchain::NodeConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->AvailabilityZone

=head1 DESCRIPTION

Configuration properties of a node.

=head1 ATTRIBUTES


=head2 AvailabilityZone => Str

The Availability Zone in which the node exists. Required for Ethereum
nodes.


=head2 B<REQUIRED> InstanceType => Str

The Amazon Managed Blockchain instance type for the node.


=head2 LogPublishingConfiguration => L<Paws::ManagedBlockchain::NodeLogPublishingConfiguration>

Configuration properties for logging events associated with a peer node
on a Hyperledger Fabric network on Managed Blockchain.


=head2 StateDB => Str

The state database that the node uses. Values are C<LevelDB> or
C<CouchDB>. When using an Amazon Managed Blockchain network with
Hyperledger Fabric version 1.4 or later, the default is C<CouchDB>.

Applies only to Hyperledger Fabric.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ManagedBlockchain>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

