# Generated by default/object.tt
package Paws::MediaConvert::AvailBlanking;
  use Moose;
  has AvailBlankingImage => (is => 'ro', isa => 'Str', request_name => 'availBlankingImage', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaConvert::AvailBlanking

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaConvert::AvailBlanking object:

  $service_obj->Method(Att1 => { AvailBlankingImage => $value, ..., AvailBlankingImage => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaConvert::AvailBlanking object:

  $result = $service_obj->Method(...);
  $result->Att1->AvailBlankingImage

=head1 DESCRIPTION

Use ad avail blanking settings to specify your output content during
SCTE-35 triggered ad avails. You can blank your video or overlay it
with an image. MediaConvert also removes any audio and embedded
captions during the ad avail. For more information, see
https://docs.aws.amazon.com/mediaconvert/latest/ug/ad-avail-blanking.html.

=head1 ATTRIBUTES


=head2 AvailBlankingImage => Str

Blanking image to be used. Leave empty for solid black. Only bmp and
png images are supported.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaConvert>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

