# Generated by default/object.tt
package Paws::MediaConvert::DvbTdtSettings;
  use Moose;
  has TdtInterval => (is => 'ro', isa => 'Int', request_name => 'tdtInterval', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaConvert::DvbTdtSettings

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaConvert::DvbTdtSettings object:

  $service_obj->Method(Att1 => { TdtInterval => $value, ..., TdtInterval => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaConvert::DvbTdtSettings object:

  $result = $service_obj->Method(...);
  $result->Att1->TdtInterval

=head1 DESCRIPTION

Use these settings to insert a DVB Time and Date Table (TDT) in the
transport stream of this output. When you work directly in your JSON
job specification, include this object only when your job has a
transport stream output and the container settings contain the object
M2tsSettings.

=head1 ATTRIBUTES


=head2 TdtInterval => Int

The number of milliseconds between instances of this table in the
output transport stream.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaConvert>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

