# Generated by default/object.tt
package Paws::MediaLive::BatchStopResultModel;
  use Moose;
  has Failed => (is => 'ro', isa => 'ArrayRef[Paws::MediaLive::BatchFailedResultModel]', request_name => 'failed', traits => ['NameInRequest']);
  has Successful => (is => 'ro', isa => 'ArrayRef[Paws::MediaLive::BatchSuccessfulResultModel]', request_name => 'successful', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaLive::BatchStopResultModel

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaLive::BatchStopResultModel object:

  $service_obj->Method(Att1 => { Failed => $value, ..., Successful => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaLive::BatchStopResultModel object:

  $result = $service_obj->Method(...);
  $result->Att1->Failed

=head1 DESCRIPTION

Batch stop resource results

=head1 ATTRIBUTES


=head2 Failed => ArrayRef[L<Paws::MediaLive::BatchFailedResultModel>]

List of failed operations


=head2 Successful => ArrayRef[L<Paws::MediaLive::BatchSuccessfulResultModel>]

List of successful operations



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaLive>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

