# Generated by default/object.tt
package Paws::MediaLive::FailoverCondition;
  use Moose;
  has FailoverConditionSettings => (is => 'ro', isa => 'Paws::MediaLive::FailoverConditionSettings', request_name => 'failoverConditionSettings', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaLive::FailoverCondition

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaLive::FailoverCondition object:

  $service_obj->Method(Att1 => { FailoverConditionSettings => $value, ..., FailoverConditionSettings => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaLive::FailoverCondition object:

  $result = $service_obj->Method(...);
  $result->Att1->FailoverConditionSettings

=head1 DESCRIPTION

Failover Condition settings. There can be multiple failover conditions
inside AutomaticInputFailoverSettings.

=head1 ATTRIBUTES


=head2 FailoverConditionSettings => L<Paws::MediaLive::FailoverConditionSettings>

Failover condition type-specific settings.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaLive>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

