# Generated by default/object.tt
package Paws::MediaLive::ListInputDevicesResultModel;
  use Moose;
  has InputDevices => (is => 'ro', isa => 'ArrayRef[Paws::MediaLive::InputDeviceSummary]', request_name => 'inputDevices', traits => ['NameInRequest']);
  has NextToken => (is => 'ro', isa => 'Str', request_name => 'nextToken', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaLive::ListInputDevicesResultModel

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaLive::ListInputDevicesResultModel object:

  $service_obj->Method(Att1 => { InputDevices => $value, ..., NextToken => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaLive::ListInputDevicesResultModel object:

  $result = $service_obj->Method(...);
  $result->Att1->InputDevices

=head1 DESCRIPTION

The list of input devices owned by the AWS account.

=head1 ATTRIBUTES


=head2 InputDevices => ArrayRef[L<Paws::MediaLive::InputDeviceSummary>]

The list of input devices.


=head2 NextToken => Str

A token to get additional list results.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaLive>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

