# Generated by default/object.tt
package Paws::MediaLive::MultiplexProgramPipelineDetail;
  use Moose;
  has ActiveChannelPipeline => (is => 'ro', isa => 'Str', request_name => 'activeChannelPipeline', traits => ['NameInRequest']);
  has PipelineId => (is => 'ro', isa => 'Str', request_name => 'pipelineId', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaLive::MultiplexProgramPipelineDetail

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaLive::MultiplexProgramPipelineDetail object:

  $service_obj->Method(Att1 => { ActiveChannelPipeline => $value, ..., PipelineId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaLive::MultiplexProgramPipelineDetail object:

  $result = $service_obj->Method(...);
  $result->Att1->ActiveChannelPipeline

=head1 DESCRIPTION

The current source for one of the pipelines in the multiplex.

=head1 ATTRIBUTES


=head2 ActiveChannelPipeline => Str

Identifies the channel pipeline that is currently active for the
pipeline (identified by PipelineId) in the multiplex.


=head2 PipelineId => Str

Identifies a specific pipeline in the multiplex.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaLive>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

