# Generated by default/object.tt
package Paws::MediaPackageVod::PackagingGroupCreateParameters;
  use Moose;
  has Authorization => (is => 'ro', isa => 'Paws::MediaPackageVod::Authorization', request_name => 'authorization', traits => ['NameInRequest']);
  has EgressAccessLogs => (is => 'ro', isa => 'Paws::MediaPackageVod::EgressAccessLogs', request_name => 'egressAccessLogs', traits => ['NameInRequest']);
  has Id => (is => 'ro', isa => 'Str', request_name => 'id', traits => ['NameInRequest'], required => 1);
  has Tags => (is => 'ro', isa => 'Paws::MediaPackageVod::Tags', request_name => 'tags', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaPackageVod::PackagingGroupCreateParameters

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaPackageVod::PackagingGroupCreateParameters object:

  $service_obj->Method(Att1 => { Authorization => $value, ..., Tags => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaPackageVod::PackagingGroupCreateParameters object:

  $result = $service_obj->Method(...);
  $result->Att1->Authorization

=head1 DESCRIPTION

Parameters used to create a new MediaPackage VOD PackagingGroup
resource.

=head1 ATTRIBUTES


=head2 Authorization => L<Paws::MediaPackageVod::Authorization>




=head2 EgressAccessLogs => L<Paws::MediaPackageVod::EgressAccessLogs>




=head2 B<REQUIRED> Id => Str

The ID of the PackagingGroup.


=head2 Tags => L<Paws::MediaPackageVod::Tags>





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaPackageVod>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

