# Generated by default/object.tt
package Paws::MediaTailor::HlsPlaylistSettings;
  use Moose;
  has ManifestWindowSeconds => (is => 'ro', isa => 'Int');

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaTailor::HlsPlaylistSettings

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaTailor::HlsPlaylistSettings object:

  $service_obj->Method(Att1 => { ManifestWindowSeconds => $value, ..., ManifestWindowSeconds => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaTailor::HlsPlaylistSettings object:

  $result = $service_obj->Method(...);
  $result->Att1->ManifestWindowSeconds

=head1 DESCRIPTION

HLS playlist configuration parameters.

=head1 ATTRIBUTES


=head2 ManifestWindowSeconds => Int

The total duration (in seconds) of each manifest. Minimum value: 30
seconds. Maximum value: 3600 seconds.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaTailor>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

