# Generated by default/object.tt
package Paws::MediaTailor::ScheduleConfiguration;
  use Moose;
  has Transition => (is => 'ro', isa => 'Paws::MediaTailor::Transition', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::MediaTailor::ScheduleConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::MediaTailor::ScheduleConfiguration object:

  $service_obj->Method(Att1 => { Transition => $value, ..., Transition => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::MediaTailor::ScheduleConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->Transition

=head1 DESCRIPTION

Schedule configuration parameters. A channel must be stopped before
changes can be made to the schedule.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Transition => L<Paws::MediaTailor::Transition>

Program transition configurations.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::MediaTailor>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

