# Generated by default/object.tt
package Paws::NetworkFirewall::PortSet;
  use Moose;
  has Definition => (is => 'ro', isa => 'ArrayRef[Str|Undef]');

1;

### main pod documentation begin ###

=head1 NAME

Paws::NetworkFirewall::PortSet

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::NetworkFirewall::PortSet object:

  $service_obj->Method(Att1 => { Definition => $value, ..., Definition => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::NetworkFirewall::PortSet object:

  $result = $service_obj->Method(...);
  $result->Att1->Definition

=head1 DESCRIPTION

A set of port ranges for use in the rules in a rule group.

=head1 ATTRIBUTES


=head2 Definition => ArrayRef[Str|Undef]

The set of port ranges.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::NetworkFirewall>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

