# Generated by default/object.tt
package Paws::NimbleStudio::CreateStreamingSessionInput;
  use Moose;
  has Ec2InstanceType => (is => 'ro', isa => 'Str', request_name => 'ec2InstanceType', traits => ['NameInRequest']);
  has LaunchProfileId => (is => 'ro', isa => 'Str', request_name => 'launchProfileId', traits => ['NameInRequest']);
  has StreamingImageId => (is => 'ro', isa => 'Str', request_name => 'streamingImageId', traits => ['NameInRequest']);
  has Tags => (is => 'ro', isa => 'Paws::NimbleStudio::Tags', request_name => 'tags', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::NimbleStudio::CreateStreamingSessionInput

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::NimbleStudio::CreateStreamingSessionInput object:

  $service_obj->Method(Att1 => { Ec2InstanceType => $value, ..., Tags => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::NimbleStudio::CreateStreamingSessionInput object:

  $result = $service_obj->Method(...);
  $result->Att1->Ec2InstanceType

=head1 DESCRIPTION

This class has no description

=head1 ATTRIBUTES


=head2 Ec2InstanceType => Str

The EC2 Instance type used for the streaming session.


=head2 LaunchProfileId => Str

The launch profile ID.


=head2 StreamingImageId => Str

The ID of the streaming image.


=head2 Tags => L<Paws::NimbleStudio::Tags>

A collection of labels, in the form of key:value pairs, that apply to
this resource.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::NimbleStudio>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

