# Generated by default/object.tt
package Paws::NimbleStudio::Eula;
  use Moose;
  has Content => (is => 'ro', isa => 'Str', request_name => 'content', traits => ['NameInRequest']);
  has CreatedAt => (is => 'ro', isa => 'Str', request_name => 'createdAt', traits => ['NameInRequest']);
  has EulaId => (is => 'ro', isa => 'Str', request_name => 'eulaId', traits => ['NameInRequest']);
  has Name => (is => 'ro', isa => 'Str', request_name => 'name', traits => ['NameInRequest']);
  has UpdatedAt => (is => 'ro', isa => 'Str', request_name => 'updatedAt', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::NimbleStudio::Eula

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::NimbleStudio::Eula object:

  $service_obj->Method(Att1 => { Content => $value, ..., UpdatedAt => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::NimbleStudio::Eula object:

  $result = $service_obj->Method(...);
  $result->Att1->Content

=head1 DESCRIPTION

Represents a EULA resource.

=head1 ATTRIBUTES


=head2 Content => Str

The EULA content.


=head2 CreatedAt => Str

The Unix epoch timestamp in seconds for when the resource was created.


=head2 EulaId => Str

The EULA ID.


=head2 Name => Str

The name for the EULA.


=head2 UpdatedAt => Str

The Unix epoch timestamp in seconds for when the resource was updated.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::NimbleStudio>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

