# Generated by default/object.tt
package Paws::NimbleStudio::GetLaunchProfileDetailsOutput;
  use Moose;
  has LaunchProfile => (is => 'ro', isa => 'Paws::NimbleStudio::LaunchProfile', request_name => 'launchProfile', traits => ['NameInRequest']);
  has StreamingImages => (is => 'ro', isa => 'ArrayRef[Paws::NimbleStudio::StreamingImage]', request_name => 'streamingImages', traits => ['NameInRequest']);
  has StudioComponentSummaries => (is => 'ro', isa => 'ArrayRef[Paws::NimbleStudio::StudioComponentSummary]', request_name => 'studioComponentSummaries', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::NimbleStudio::GetLaunchProfileDetailsOutput

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::NimbleStudio::GetLaunchProfileDetailsOutput object:

  $service_obj->Method(Att1 => { LaunchProfile => $value, ..., StudioComponentSummaries => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::NimbleStudio::GetLaunchProfileDetailsOutput object:

  $result = $service_obj->Method(...);
  $result->Att1->LaunchProfile

=head1 DESCRIPTION

This class has no description

=head1 ATTRIBUTES


=head2 LaunchProfile => L<Paws::NimbleStudio::LaunchProfile>

The launch profile.


=head2 StreamingImages => ArrayRef[L<Paws::NimbleStudio::StreamingImage>]

A collection of streaming images.


=head2 StudioComponentSummaries => ArrayRef[L<Paws::NimbleStudio::StudioComponentSummary>]

A collection of studio component summaries.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::NimbleStudio>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

