# Generated by default/object.tt
package Paws::NimbleStudio::StudioComponentInitializationScript;
  use Moose;
  has LaunchProfileProtocolVersion => (is => 'ro', isa => 'Str', request_name => 'launchProfileProtocolVersion', traits => ['NameInRequest']);
  has Platform => (is => 'ro', isa => 'Str', request_name => 'platform', traits => ['NameInRequest']);
  has RunContext => (is => 'ro', isa => 'Str', request_name => 'runContext', traits => ['NameInRequest']);
  has Script => (is => 'ro', isa => 'Str', request_name => 'script', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::NimbleStudio::StudioComponentInitializationScript

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::NimbleStudio::StudioComponentInitializationScript object:

  $service_obj->Method(Att1 => { LaunchProfileProtocolVersion => $value, ..., Script => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::NimbleStudio::StudioComponentInitializationScript object:

  $result = $service_obj->Method(...);
  $result->Att1->LaunchProfileProtocolVersion

=head1 DESCRIPTION

Initialization scripts for studio components.

=head1 ATTRIBUTES


=head2 LaunchProfileProtocolVersion => Str

The version number of the protocol that is used by the launch profile.
The only valid version is "2021-03-31".


=head2 Platform => Str

The platform of the initialization script, either WINDOWS or LINUX.


=head2 RunContext => Str

The method to use when running the initialization script.


=head2 Script => Str

The initialization script.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::NimbleStudio>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

