# Generated by default/object.tt
package Paws::NimbleStudio::StudioComponentSummary;
  use Moose;
  has CreatedAt => (is => 'ro', isa => 'Str', request_name => 'createdAt', traits => ['NameInRequest']);
  has CreatedBy => (is => 'ro', isa => 'Str', request_name => 'createdBy', traits => ['NameInRequest']);
  has Description => (is => 'ro', isa => 'Str', request_name => 'description', traits => ['NameInRequest']);
  has Name => (is => 'ro', isa => 'Str', request_name => 'name', traits => ['NameInRequest']);
  has StudioComponentId => (is => 'ro', isa => 'Str', request_name => 'studioComponentId', traits => ['NameInRequest']);
  has Subtype => (is => 'ro', isa => 'Str', request_name => 'subtype', traits => ['NameInRequest']);
  has Type => (is => 'ro', isa => 'Str', request_name => 'type', traits => ['NameInRequest']);
  has UpdatedAt => (is => 'ro', isa => 'Str', request_name => 'updatedAt', traits => ['NameInRequest']);
  has UpdatedBy => (is => 'ro', isa => 'Str', request_name => 'updatedBy', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::NimbleStudio::StudioComponentSummary

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::NimbleStudio::StudioComponentSummary object:

  $service_obj->Method(Att1 => { CreatedAt => $value, ..., UpdatedBy => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::NimbleStudio::StudioComponentSummary object:

  $result = $service_obj->Method(...);
  $result->Att1->CreatedAt

=head1 DESCRIPTION

This class has no description

=head1 ATTRIBUTES


=head2 CreatedAt => Str

The Unix epoch timestamp in seconds for when the resource was created.


=head2 CreatedBy => Str

The user ID of the user that created the studio component.


=head2 Description => Str

The description.


=head2 Name => Str

The name for the studio component.


=head2 StudioComponentId => Str

The unique identifier for a studio component resource.


=head2 Subtype => Str

The specific subtype of a studio component.


=head2 Type => Str

The type of the studio component.


=head2 UpdatedAt => Str

The Unix epoch timestamp in seconds for when the resource was updated.


=head2 UpdatedBy => Str

The user ID of the user that most recently updated the resource.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::NimbleStudio>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

