# Generated by default/object.tt
package Paws::Pinpoint::BaseKpiResult;
  use Moose;
  has Rows => (is => 'ro', isa => 'ArrayRef[Paws::Pinpoint::ResultRow]', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Pinpoint::BaseKpiResult

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Pinpoint::BaseKpiResult object:

  $service_obj->Method(Att1 => { Rows => $value, ..., Rows => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Pinpoint::BaseKpiResult object:

  $result = $service_obj->Method(...);
  $result->Att1->Rows

=head1 DESCRIPTION

Provides the results of a query that retrieved the data for a standard
metric that applies to an application, campaign, or journey.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Rows => ArrayRef[L<Paws::Pinpoint::ResultRow>]

An array of objects that provides the results of a query that retrieved
the data for a standard metric that applies to an application,
campaign, or journey.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Pinpoint>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

