# Generated by default/object.tt
package Paws::Pinpoint::TemplateResponse;
  use Moose;
  has Arn => (is => 'ro', isa => 'Str');
  has CreationDate => (is => 'ro', isa => 'Str', required => 1);
  has DefaultSubstitutions => (is => 'ro', isa => 'Str');
  has LastModifiedDate => (is => 'ro', isa => 'Str', required => 1);
  has Tags => (is => 'ro', isa => 'Paws::Pinpoint::MapOf__string', request_name => 'tags', traits => ['NameInRequest']);
  has TemplateDescription => (is => 'ro', isa => 'Str');
  has TemplateName => (is => 'ro', isa => 'Str', required => 1);
  has TemplateType => (is => 'ro', isa => 'Str', required => 1);
  has Version => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Pinpoint::TemplateResponse

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Pinpoint::TemplateResponse object:

  $service_obj->Method(Att1 => { Arn => $value, ..., Version => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Pinpoint::TemplateResponse object:

  $result = $service_obj->Method(...);
  $result->Att1->Arn

=head1 DESCRIPTION

Provides information about a message template that's associated with
your Amazon Pinpoint account.

=head1 ATTRIBUTES


=head2 Arn => Str

The Amazon Resource Name (ARN) of the message template. This value
isn't included in a TemplateResponse object. To retrieve the ARN of a
template, use the GetEmailTemplate, GetPushTemplate, GetSmsTemplate, or
GetVoiceTemplate operation, depending on the type of template that you
want to retrieve the ARN for.


=head2 B<REQUIRED> CreationDate => Str

The date, in ISO 8601 format, when the message template was created.


=head2 DefaultSubstitutions => Str

The JSON object that specifies the default values that are used for
message variables in the message template. This object isn't included
in a TemplateResponse object. To retrieve this object for a template,
use the GetEmailTemplate, GetPushTemplate, GetSmsTemplate, or
GetVoiceTemplate operation, depending on the type of template that you
want to retrieve the object for.


=head2 B<REQUIRED> LastModifiedDate => Str

The date, in ISO 8601 format, when the message template was last
modified.


=head2 Tags => L<Paws::Pinpoint::MapOf__string>

A map of key-value pairs that identifies the tags that are associated
with the message template. This object isn't included in a
TemplateResponse object. To retrieve this object for a template, use
the GetEmailTemplate, GetPushTemplate, GetSmsTemplate, or
GetVoiceTemplate operation, depending on the type of template that you
want to retrieve the object for.


=head2 TemplateDescription => Str

The custom description of the message template. This value isn't
included in a TemplateResponse object. To retrieve the description of a
template, use the GetEmailTemplate, GetPushTemplate, GetSmsTemplate, or
GetVoiceTemplate operation, depending on the type of template that you
want to retrieve the description for.


=head2 B<REQUIRED> TemplateName => Str

The name of the message template.


=head2 B<REQUIRED> TemplateType => Str

The type of channel that the message template is designed for. Possible
values are: EMAIL, PUSH, SMS, and VOICE.


=head2 Version => Str

The unique identifier, as an integer, for the active version of the
message template.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Pinpoint>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

