# Generated by default/object.tt
package Paws::Proton::TemplateVersionSourceInput;
  use Moose;
  has S3 => (is => 'ro', isa => 'Paws::Proton::S3ObjectSource', request_name => 's3', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Proton::TemplateVersionSourceInput

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Proton::TemplateVersionSourceInput object:

  $service_obj->Method(Att1 => { S3 => $value, ..., S3 => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Proton::TemplateVersionSourceInput object:

  $result = $service_obj->Method(...);
  $result->Att1->S3

=head1 DESCRIPTION

Template version source data.

=head1 ATTRIBUTES


=head2 S3 => L<Paws::Proton::S3ObjectSource>

An S3 source object that includes the template bundle S3 path and name
for a template minor version.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Proton>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

