# Generated by default/object.tt
package Paws::QLDBSession::FetchPageResult;
  use Moose;
  has ConsumedIOs => (is => 'ro', isa => 'Paws::QLDBSession::IOUsage');
  has Page => (is => 'ro', isa => 'Paws::QLDBSession::Page');
  has TimingInformation => (is => 'ro', isa => 'Paws::QLDBSession::TimingInformation');

1;

### main pod documentation begin ###

=head1 NAME

Paws::QLDBSession::FetchPageResult

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::QLDBSession::FetchPageResult object:

  $service_obj->Method(Att1 => { ConsumedIOs => $value, ..., TimingInformation => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::QLDBSession::FetchPageResult object:

  $result = $service_obj->Method(...);
  $result->Att1->ConsumedIOs

=head1 DESCRIPTION

Contains the page that was fetched.

=head1 ATTRIBUTES


=head2 ConsumedIOs => L<Paws::QLDBSession::IOUsage>

Contains metrics about the number of I/O requests that were consumed.


=head2 Page => L<Paws::QLDBSession::Page>

Contains details of the fetched page.


=head2 TimingInformation => L<Paws::QLDBSession::TimingInformation>

Contains server-side performance information for the command.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::QLDBSession>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

