# Generated by default/object.tt
package Paws::Quicksight::BorderStyle;
  use Moose;
  has Show => (is => 'ro', isa => 'Bool');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Quicksight::BorderStyle

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Quicksight::BorderStyle object:

  $service_obj->Method(Att1 => { Show => $value, ..., Show => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Quicksight::BorderStyle object:

  $result = $service_obj->Method(...);
  $result->Att1->Show

=head1 DESCRIPTION

The display options for tile borders for visuals.

=head1 ATTRIBUTES


=head2 Show => Bool

The option to enable display of borders for visuals.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Quicksight>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

