# Generated by default/object.tt
package Paws::Quicksight::Folder;
  use Moose;
  has Arn => (is => 'ro', isa => 'Str');
  has CreatedTime => (is => 'ro', isa => 'Str');
  has FolderId => (is => 'ro', isa => 'Str');
  has FolderPath => (is => 'ro', isa => 'ArrayRef[Str|Undef]');
  has FolderType => (is => 'ro', isa => 'Str');
  has LastUpdatedTime => (is => 'ro', isa => 'Str');
  has Name => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Quicksight::Folder

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Quicksight::Folder object:

  $service_obj->Method(Att1 => { Arn => $value, ..., Name => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Quicksight::Folder object:

  $result = $service_obj->Method(...);
  $result->Att1->Arn

=head1 DESCRIPTION

A folder.

=head1 ATTRIBUTES


=head2 Arn => Str

The folder Amazon Resource Name (ARN).


=head2 CreatedTime => Str

The time that the folder was created.


=head2 FolderId => Str

The folder ID.


=head2 FolderPath => ArrayRef[Str|Undef]

An array of ancestor folder ARN strings.


=head2 FolderType => Str

The type of the folder.


=head2 LastUpdatedTime => Str

The time that the folder was last updated.


=head2 Name => Str

A display name for the folder.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Quicksight>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

