# Generated by default/object.tt
package Paws::Quicksight::NamespaceInfoV2;
  use Moose;
  has Arn => (is => 'ro', isa => 'Str');
  has CapacityRegion => (is => 'ro', isa => 'Str');
  has CreationStatus => (is => 'ro', isa => 'Str');
  has IdentityStore => (is => 'ro', isa => 'Str');
  has Name => (is => 'ro', isa => 'Str');
  has NamespaceError => (is => 'ro', isa => 'Paws::Quicksight::NamespaceError');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Quicksight::NamespaceInfoV2

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Quicksight::NamespaceInfoV2 object:

  $service_obj->Method(Att1 => { Arn => $value, ..., NamespaceError => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Quicksight::NamespaceInfoV2 object:

  $result = $service_obj->Method(...);
  $result->Att1->Arn

=head1 DESCRIPTION

The error type.

=head1 ATTRIBUTES


=head2 Arn => Str

The namespace ARN.


=head2 CapacityRegion => Str

The namespace AWS Region.


=head2 CreationStatus => Str

The creation status of a namespace that is not yet completely created.


=head2 IdentityStore => Str

The identity store used for the namespace.


=head2 Name => Str

The name of the error.


=head2 NamespaceError => L<Paws::Quicksight::NamespaceError>

An error that occurred when the namespace was created.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Quicksight>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

