# Generated by default/object.tt
package Paws::Quicksight::SheetStyle;
  use Moose;
  has Tile => (is => 'ro', isa => 'Paws::Quicksight::TileStyle');
  has TileLayout => (is => 'ro', isa => 'Paws::Quicksight::TileLayoutStyle');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Quicksight::SheetStyle

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Quicksight::SheetStyle object:

  $service_obj->Method(Att1 => { Tile => $value, ..., TileLayout => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Quicksight::SheetStyle object:

  $result = $service_obj->Method(...);
  $result->Att1->Tile

=head1 DESCRIPTION

The theme display options for sheets.

=head1 ATTRIBUTES


=head2 Tile => L<Paws::Quicksight::TileStyle>

The display options for tiles.


=head2 TileLayout => L<Paws::Quicksight::TileLayoutStyle>

The layout options for tiles.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Quicksight>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

