# Generated by default/object.tt
package Paws::Quicksight::TileLayoutStyle;
  use Moose;
  has Gutter => (is => 'ro', isa => 'Paws::Quicksight::GutterStyle');
  has Margin => (is => 'ro', isa => 'Paws::Quicksight::MarginStyle');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Quicksight::TileLayoutStyle

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Quicksight::TileLayoutStyle object:

  $service_obj->Method(Att1 => { Gutter => $value, ..., Margin => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Quicksight::TileLayoutStyle object:

  $result = $service_obj->Method(...);
  $result->Att1->Gutter

=head1 DESCRIPTION

The display options for the layout of tiles on a sheet.

=head1 ATTRIBUTES


=head2 Gutter => L<Paws::Quicksight::GutterStyle>

The gutter settings that apply between tiles.


=head2 Margin => L<Paws::Quicksight::MarginStyle>

The margin settings that apply around the outside edge of sheets.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Quicksight>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

