# Generated by default/object.tt
package Paws::RedShift::SnapshotErrorMessage;
  use Moose;
  has FailureCode => (is => 'ro', isa => 'Str');
  has FailureReason => (is => 'ro', isa => 'Str');
  has SnapshotClusterIdentifier => (is => 'ro', isa => 'Str');
  has SnapshotIdentifier => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::RedShift::SnapshotErrorMessage

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::RedShift::SnapshotErrorMessage object:

  $service_obj->Method(Att1 => { FailureCode => $value, ..., SnapshotIdentifier => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::RedShift::SnapshotErrorMessage object:

  $result = $service_obj->Method(...);
  $result->Att1->FailureCode

=head1 DESCRIPTION

Describes the errors returned by a snapshot.

=head1 ATTRIBUTES


=head2 FailureCode => Str

The failure code for the error.


=head2 FailureReason => Str

The text message describing the error.


=head2 SnapshotClusterIdentifier => Str

A unique identifier for the cluster.


=head2 SnapshotIdentifier => Str

A unique identifier for the snapshot returning the error.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::RedShift>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

