# Generated by default/object.tt
package Paws::Robomaker::FinishedWorldsSummary;
  use Moose;
  has FailureSummary => (is => 'ro', isa => 'Paws::Robomaker::FailureSummary', request_name => 'failureSummary', traits => ['NameInRequest']);
  has FinishedCount => (is => 'ro', isa => 'Int', request_name => 'finishedCount', traits => ['NameInRequest']);
  has SucceededWorlds => (is => 'ro', isa => 'ArrayRef[Str|Undef]', request_name => 'succeededWorlds', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Robomaker::FinishedWorldsSummary

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Robomaker::FinishedWorldsSummary object:

  $service_obj->Method(Att1 => { FailureSummary => $value, ..., SucceededWorlds => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Robomaker::FinishedWorldsSummary object:

  $result = $service_obj->Method(...);
  $result->Att1->FailureSummary

=head1 DESCRIPTION

Information about worlds that finished.

=head1 ATTRIBUTES


=head2 FailureSummary => L<Paws::Robomaker::FailureSummary>

Information about worlds that failed.


=head2 FinishedCount => Int

The total number of finished worlds.


=head2 SucceededWorlds => ArrayRef[Str|Undef]

A list of worlds that succeeded.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Robomaker>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

