# Generated by default/object.tt
package Paws::Robomaker::WorldSummary;
  use Moose;
  has Arn => (is => 'ro', isa => 'Str', request_name => 'arn', traits => ['NameInRequest']);
  has CreatedAt => (is => 'ro', isa => 'Str', request_name => 'createdAt', traits => ['NameInRequest']);
  has GenerationJob => (is => 'ro', isa => 'Str', request_name => 'generationJob', traits => ['NameInRequest']);
  has Template => (is => 'ro', isa => 'Str', request_name => 'template', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::Robomaker::WorldSummary

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Robomaker::WorldSummary object:

  $service_obj->Method(Att1 => { Arn => $value, ..., Template => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Robomaker::WorldSummary object:

  $result = $service_obj->Method(...);
  $result->Att1->Arn

=head1 DESCRIPTION

Information about a world.

=head1 ATTRIBUTES


=head2 Arn => Str

The Amazon Resource Name (ARN) of the world.


=head2 CreatedAt => Str

The time, in milliseconds since the epoch, when the world was created.


=head2 GenerationJob => Str

The Amazon Resource Name (arn) of the world generation job.


=head2 Template => Str

The Amazon Resource Name (arn) of the world template.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Robomaker>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

