# Generated by default/object.tt
package Paws::S3::RequestPaymentConfiguration;
  use Moose;
  has Payer => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::S3::RequestPaymentConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::S3::RequestPaymentConfiguration object:

  $service_obj->Method(Att1 => { Payer => $value, ..., Payer => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::S3::RequestPaymentConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->Payer

=head1 DESCRIPTION

Container for Payer.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Payer => Str

Specifies who pays for the download and request fees.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::S3>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

