# Generated by default/object.tt
package Paws::S3Control::CreateBucketConfiguration;
  use Moose;
  has LocationConstraint => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::S3Control::CreateBucketConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::S3Control::CreateBucketConfiguration object:

  $service_obj->Method(Att1 => { LocationConstraint => $value, ..., LocationConstraint => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::S3Control::CreateBucketConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->LocationConstraint

=head1 DESCRIPTION

The container for the bucket configuration.

This is not supported by Amazon S3 on Outposts buckets.

=head1 ATTRIBUTES


=head2 LocationConstraint => Str

Specifies the Region where the bucket will be created. If you are
creating a bucket on the US East (N. Virginia) Region (us-east-1), you
do not need to specify the location.

This is not supported by Amazon S3 on Outposts buckets.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::S3Control>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

