# Generated by default/object.tt
package Paws::S3Control::StorageLensAwsOrg;
  use Moose;
  has Arn => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::S3Control::StorageLensAwsOrg

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::S3Control::StorageLensAwsOrg object:

  $service_obj->Method(Att1 => { Arn => $value, ..., Arn => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::S3Control::StorageLensAwsOrg object:

  $result = $service_obj->Method(...);
  $result->Att1->Arn

=head1 DESCRIPTION

The AWS organization for your S3 Storage Lens.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Arn => Str

A container for the Amazon Resource Name (ARN) of the AWS organization.
This property is read-only and follows the following format: C<
arn:aws:organizations:I<us-east-1>:I<example-account-id>:organization/I<o-ex2l495dck>>



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::S3Control>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

