# Generated by default/object.tt
package Paws::SESv2::EmailTemplateContent;
  use Moose;
  has Html => (is => 'ro', isa => 'Str');
  has Subject => (is => 'ro', isa => 'Str');
  has Text => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SESv2::EmailTemplateContent

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SESv2::EmailTemplateContent object:

  $service_obj->Method(Att1 => { Html => $value, ..., Text => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SESv2::EmailTemplateContent object:

  $result = $service_obj->Method(...);
  $result->Att1->Html

=head1 DESCRIPTION

The content of the email, composed of a subject line, an HTML part, and
a text-only part.

=head1 ATTRIBUTES


=head2 Html => Str

The HTML body of the email.


=head2 Subject => Str

The subject line of the email.


=head2 Text => Str

The email body that will be visible to recipients whose email clients
do not display HTML.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SESv2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

