# Generated by default/object.tt
package Paws::SESv2::ReplacementTemplate;
  use Moose;
  has ReplacementTemplateData => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SESv2::ReplacementTemplate

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SESv2::ReplacementTemplate object:

  $service_obj->Method(Att1 => { ReplacementTemplateData => $value, ..., ReplacementTemplateData => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SESv2::ReplacementTemplate object:

  $result = $service_obj->Method(...);
  $result->Att1->ReplacementTemplateData

=head1 DESCRIPTION

An object which contains C<ReplacementTemplateData> to be used for a
specific C<BulkEmailEntry>.

=head1 ATTRIBUTES


=head2 ReplacementTemplateData => Str

A list of replacement values to apply to the template. This parameter
is a JSON object, typically consisting of key-value pairs in which the
keys correspond to replacement tags in the email template.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SESv2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

