# Generated by default/object.tt
package Paws::SMS::AppValidationOutput;
  use Moose;
  has SsmOutput => (is => 'ro', isa => 'Paws::SMS::SSMOutput', request_name => 'ssmOutput', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::SMS::AppValidationOutput

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SMS::AppValidationOutput object:

  $service_obj->Method(Att1 => { SsmOutput => $value, ..., SsmOutput => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SMS::AppValidationOutput object:

  $result = $service_obj->Method(...);
  $result->Att1->SsmOutput

=head1 DESCRIPTION

Output from validating an application.

=head1 ATTRIBUTES


=head2 SsmOutput => L<Paws::SMS::SSMOutput>

Output from using SSM to validate the application.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SMS>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

