# Generated by default/object.tt
package Paws::SMS::ServerGroupValidationConfiguration;
  use Moose;
  has ServerGroupId => (is => 'ro', isa => 'Str', request_name => 'serverGroupId', traits => ['NameInRequest']);
  has ServerValidationConfigurations => (is => 'ro', isa => 'ArrayRef[Paws::SMS::ServerValidationConfiguration]', request_name => 'serverValidationConfigurations', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::SMS::ServerGroupValidationConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SMS::ServerGroupValidationConfiguration object:

  $service_obj->Method(Att1 => { ServerGroupId => $value, ..., ServerValidationConfigurations => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SMS::ServerGroupValidationConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->ServerGroupId

=head1 DESCRIPTION

Configuration for validating an instance.

=head1 ATTRIBUTES


=head2 ServerGroupId => Str

The ID of the server group.


=head2 ServerValidationConfigurations => ArrayRef[L<Paws::SMS::ServerValidationConfiguration>]

The validation configuration.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SMS>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

