# Generated by default/object.tt
package Paws::SSM::DocumentMetadataResponseInfo;
  use Moose;
  has ReviewerResponse => (is => 'ro', isa => 'ArrayRef[Paws::SSM::DocumentReviewerResponseSource]');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SSM::DocumentMetadataResponseInfo

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SSM::DocumentMetadataResponseInfo object:

  $service_obj->Method(Att1 => { ReviewerResponse => $value, ..., ReviewerResponse => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SSM::DocumentMetadataResponseInfo object:

  $result = $service_obj->Method(...);
  $result->Att1->ReviewerResponse

=head1 DESCRIPTION

Details about the response to a document review request.

=head1 ATTRIBUTES


=head2 ReviewerResponse => ArrayRef[L<Paws::SSM::DocumentReviewerResponseSource>]

Details about a reviewer's response to a document review request.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SSM>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

