# Generated by default/object.tt
package Paws::SSM::ResourceDataSyncDestinationDataSharing;
  use Moose;
  has DestinationDataSharingType => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SSM::ResourceDataSyncDestinationDataSharing

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SSM::ResourceDataSyncDestinationDataSharing object:

  $service_obj->Method(Att1 => { DestinationDataSharingType => $value, ..., DestinationDataSharingType => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SSM::ResourceDataSyncDestinationDataSharing object:

  $result = $service_obj->Method(...);
  $result->Att1->DestinationDataSharingType

=head1 DESCRIPTION

Synchronize Systems Manager Inventory data from multiple AWS accounts
defined in AWS Organizations to a centralized S3 bucket. Data is
synchronized to individual key prefixes in the central bucket. Each key
prefix represents a different AWS account ID.

=head1 ATTRIBUTES


=head2 DestinationDataSharingType => Str

The sharing data type. Only C<Organization> is supported.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SSM>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

