# Generated by default/object.tt
package Paws::SSMIncidents::UpdateReplicationSetAction;
  use Moose;
  has AddRegionAction => (is => 'ro', isa => 'Paws::SSMIncidents::AddRegionAction', request_name => 'addRegionAction', traits => ['NameInRequest']);
  has DeleteRegionAction => (is => 'ro', isa => 'Paws::SSMIncidents::DeleteRegionAction', request_name => 'deleteRegionAction', traits => ['NameInRequest']);

1;

### main pod documentation begin ###

=head1 NAME

Paws::SSMIncidents::UpdateReplicationSetAction

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SSMIncidents::UpdateReplicationSetAction object:

  $service_obj->Method(Att1 => { AddRegionAction => $value, ..., DeleteRegionAction => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SSMIncidents::UpdateReplicationSetAction object:

  $result = $service_obj->Method(...);
  $result->Att1->AddRegionAction

=head1 DESCRIPTION

Details used when updating the replication set.

=head1 ATTRIBUTES


=head2 AddRegionAction => L<Paws::SSMIncidents::AddRegionAction>

Details about the Region that you're adding to the replication set.


=head2 DeleteRegionAction => L<Paws::SSMIncidents::DeleteRegionAction>

Details about the Region that you're deleting to the replication set.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SSMIncidents>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

