# Generated by default/object.tt
package Paws::SageMaker::ArtifactSource;
  use Moose;
  has SourceTypes => (is => 'ro', isa => 'ArrayRef[Paws::SageMaker::ArtifactSourceType]');
  has SourceUri => (is => 'ro', isa => 'Str', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::SageMaker::ArtifactSource

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SageMaker::ArtifactSource object:

  $service_obj->Method(Att1 => { SourceTypes => $value, ..., SourceUri => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SageMaker::ArtifactSource object:

  $result = $service_obj->Method(...);
  $result->Att1->SourceTypes

=head1 DESCRIPTION

A structure describing the source of an artifact.

=head1 ATTRIBUTES


=head2 SourceTypes => ArrayRef[L<Paws::SageMaker::ArtifactSourceType>]

A list of source types.


=head2 B<REQUIRED> SourceUri => Str

The URI of the source.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SageMaker>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

