# Generated by default/object.tt
package Paws::SageMaker::ConditionStepMetadata;
  use Moose;
  has Outcome => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SageMaker::ConditionStepMetadata

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SageMaker::ConditionStepMetadata object:

  $service_obj->Method(Att1 => { Outcome => $value, ..., Outcome => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SageMaker::ConditionStepMetadata object:

  $result = $service_obj->Method(...);
  $result->Att1->Outcome

=head1 DESCRIPTION

Metadata for a Condition step.

=head1 ATTRIBUTES


=head2 Outcome => Str

The outcome of the Condition step evaluation.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SageMaker>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

