# Generated by default/object.tt
package Paws::SageMaker::DeploymentConfig;
  use Moose;
  has AutoRollbackConfiguration => (is => 'ro', isa => 'Paws::SageMaker::AutoRollbackConfig');
  has BlueGreenUpdatePolicy => (is => 'ro', isa => 'Paws::SageMaker::BlueGreenUpdatePolicy', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::SageMaker::DeploymentConfig

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SageMaker::DeploymentConfig object:

  $service_obj->Method(Att1 => { AutoRollbackConfiguration => $value, ..., BlueGreenUpdatePolicy => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SageMaker::DeploymentConfig object:

  $result = $service_obj->Method(...);
  $result->Att1->AutoRollbackConfiguration

=head1 DESCRIPTION

Currently, the C<DeploymentConfig> API is not supported.

=head1 ATTRIBUTES


=head2 AutoRollbackConfiguration => L<Paws::SageMaker::AutoRollbackConfig>




=head2 B<REQUIRED> BlueGreenUpdatePolicy => L<Paws::SageMaker::BlueGreenUpdatePolicy>





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SageMaker>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

