# Generated by default/object.tt
package Paws::SecurityHub::AwsCertificateManagerCertificateExtendedKeyUsage;
  use Moose;
  has Name => (is => 'ro', isa => 'Str');
  has OId => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsCertificateManagerCertificateExtendedKeyUsage

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsCertificateManagerCertificateExtendedKeyUsage object:

  $service_obj->Method(Att1 => { Name => $value, ..., OId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsCertificateManagerCertificateExtendedKeyUsage object:

  $result = $service_obj->Method(...);
  $result->Att1->Name

=head1 DESCRIPTION

Contains information about an extended key usage X.509 v3 extension
object.

=head1 ATTRIBUTES


=head2 Name => Str

The name of an extension value. Indicates the purpose for which the
certificate public key can be used.


=head2 OId => Str

An object identifier (OID) for the extension value.

The format is numbers separated by periods.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

