# Generated by default/object.tt
package Paws::SecurityHub::AwsDynamoDbTableProjection;
  use Moose;
  has NonKeyAttributes => (is => 'ro', isa => 'ArrayRef[Str|Undef]');
  has ProjectionType => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsDynamoDbTableProjection

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsDynamoDbTableProjection object:

  $service_obj->Method(Att1 => { NonKeyAttributes => $value, ..., ProjectionType => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsDynamoDbTableProjection object:

  $result = $service_obj->Method(...);
  $result->Att1->NonKeyAttributes

=head1 DESCRIPTION

For global and local secondary indexes, identifies the attributes that
are copied from the table into the index.

=head1 ATTRIBUTES


=head2 NonKeyAttributes => ArrayRef[Str|Undef]

The nonkey attributes that are projected into the index. For each
attribute, provide the attribute name.


=head2 ProjectionType => Str

The types of attributes that are projected into the index.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

