# Generated by default/object.tt
package Paws::SecurityHub::AwsDynamoDbTableReplicaGlobalSecondaryIndex;
  use Moose;
  has IndexName => (is => 'ro', isa => 'Str');
  has ProvisionedThroughputOverride => (is => 'ro', isa => 'Paws::SecurityHub::AwsDynamoDbTableProvisionedThroughputOverride');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsDynamoDbTableReplicaGlobalSecondaryIndex

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsDynamoDbTableReplicaGlobalSecondaryIndex object:

  $service_obj->Method(Att1 => { IndexName => $value, ..., ProvisionedThroughputOverride => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsDynamoDbTableReplicaGlobalSecondaryIndex object:

  $result = $service_obj->Method(...);
  $result->Att1->IndexName

=head1 DESCRIPTION

Information about a global secondary index for a DynamoDB table
replica.

=head1 ATTRIBUTES


=head2 IndexName => Str

The name of the index.


=head2 ProvisionedThroughputOverride => L<Paws::SecurityHub::AwsDynamoDbTableProvisionedThroughputOverride>

Replica-specific configuration for the provisioned throughput for the
index.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

