# Generated by default/object.tt
package Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationDetails;
  use Moose;
  has KmsKeyId => (is => 'ro', isa => 'Str');
  has LogConfiguration => (is => 'ro', isa => 'Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails');
  has Logging => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationDetails

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationDetails object:

  $service_obj->Method(Att1 => { KmsKeyId => $value, ..., Logging => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationDetails object:

  $result = $service_obj->Method(...);
  $result->Att1->KmsKeyId

=head1 DESCRIPTION

Contains the run command configuration for the cluster.

=head1 ATTRIBUTES


=head2 KmsKeyId => Str

The identifier of the KMS key that is used to encrypt the data between
the local client and the container.


=head2 LogConfiguration => L<Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails>

The log configuration for the results of the run command actions.
Required if C<Logging> is C<NONE>.


=head2 Logging => Str

The log setting to use for redirecting logs for run command results.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

