# Generated by default/object.tt
package Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails;
  use Moose;
  has CloudWatchEncryptionEnabled => (is => 'ro', isa => 'Bool');
  has CloudWatchLogGroupName => (is => 'ro', isa => 'Str');
  has S3BucketName => (is => 'ro', isa => 'Str');
  has S3EncryptionEnabled => (is => 'ro', isa => 'Bool');
  has S3KeyPrefix => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails object:

  $service_obj->Method(Att1 => { CloudWatchEncryptionEnabled => $value, ..., S3KeyPrefix => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails object:

  $result = $service_obj->Method(...);
  $result->Att1->CloudWatchEncryptionEnabled

=head1 DESCRIPTION

The log configuration for the results of the run command actions.

=head1 ATTRIBUTES


=head2 CloudWatchEncryptionEnabled => Bool

Whether to enable encryption on the CloudWatch logs.


=head2 CloudWatchLogGroupName => Str

The name of the CloudWatch log group to send the logs to.


=head2 S3BucketName => Str

The name of the S3 bucket to send logs to.


=head2 S3EncryptionEnabled => Bool

Whether to encrypt the logs that are sent to the S3 bucket.


=head2 S3KeyPrefix => Str

Identifies the folder in the S3 bucket to send the logs to.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

