# Generated by default/object.tt
package Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsFirelensConfigurationDetails;
  use Moose;
  has Options => (is => 'ro', isa => 'Paws::SecurityHub::FieldMap');
  has Type => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsFirelensConfigurationDetails

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsFirelensConfigurationDetails object:

  $service_obj->Method(Att1 => { Options => $value, ..., Type => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsFirelensConfigurationDetails object:

  $result = $service_obj->Method(...);
  $result->Att1->Options

=head1 DESCRIPTION

The FireLens configuration for the container. The configuration
specifies and configures a log router for container logs.

=head1 ATTRIBUTES


=head2 Options => L<Paws::SecurityHub::FieldMap>

The options to use to configure the log router.

The valid option keys are as follows:

=over

=item *

C<enable-ecs-log-metadata>. The value can be C<true> or C<false>.

=item *

C<config-file-type>. The value can be C<s3> or C<file>.

=item *

C<config-file-value>. The value is either an S3 ARN or a file path.

=back



=head2 Type => Str

The log router to use.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

