# Generated by default/object.tt
package Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetails;
  use Moose;
  has LogDriver => (is => 'ro', isa => 'Str');
  has Options => (is => 'ro', isa => 'Paws::SecurityHub::FieldMap');
  has SecretOptions => (is => 'ro', isa => 'ArrayRef[Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationSecretOptionsDetails]');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetails

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetails object:

  $service_obj->Method(Att1 => { LogDriver => $value, ..., SecretOptions => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetails object:

  $result = $service_obj->Method(...);
  $result->Att1->LogDriver

=head1 DESCRIPTION

The log configuration specification for the container.

=head1 ATTRIBUTES


=head2 LogDriver => Str

The log driver to use for the container.


=head2 Options => L<Paws::SecurityHub::FieldMap>

The configuration options to send to the log driver. Requires version
1.19 of the Docker Remote API or greater on your container instance.


=head2 SecretOptions => ArrayRef[L<Paws::SecurityHub::AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationSecretOptionsDetails>]

The secrets to pass to the log configuration.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

