# Generated by default/object.tt
package Paws::SecurityHub::AwsEcsTaskDefinitionProxyConfigurationDetails;
  use Moose;
  has ContainerName => (is => 'ro', isa => 'Str');
  has ProxyConfigurationProperties => (is => 'ro', isa => 'ArrayRef[Paws::SecurityHub::AwsEcsTaskDefinitionProxyConfigurationProxyConfigurationPropertiesDetails]');
  has Type => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsEcsTaskDefinitionProxyConfigurationDetails

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsEcsTaskDefinitionProxyConfigurationDetails object:

  $service_obj->Method(Att1 => { ContainerName => $value, ..., Type => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsEcsTaskDefinitionProxyConfigurationDetails object:

  $result = $service_obj->Method(...);
  $result->Att1->ContainerName

=head1 DESCRIPTION

The configuration details for the App Mesh proxy.

=head1 ATTRIBUTES


=head2 ContainerName => Str

The name of the container that will serve as the App Mesh proxy.


=head2 ProxyConfigurationProperties => ArrayRef[L<Paws::SecurityHub::AwsEcsTaskDefinitionProxyConfigurationProxyConfigurationPropertiesDetails>]

The set of network configuration parameters to provide to the Container
Network Interface (CNI) plugin, specified as key-value pairs.


=head2 Type => Str

The proxy type.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

