# Generated by default/object.tt
package Paws::SecurityHub::AwsEcsTaskDefinitionVolumesDetails;
  use Moose;
  has DockerVolumeConfiguration => (is => 'ro', isa => 'Paws::SecurityHub::AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetails');
  has EfsVolumeConfiguration => (is => 'ro', isa => 'Paws::SecurityHub::AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetails');
  has Host => (is => 'ro', isa => 'Paws::SecurityHub::AwsEcsTaskDefinitionVolumesHostDetails');
  has Name => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsEcsTaskDefinitionVolumesDetails

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsEcsTaskDefinitionVolumesDetails object:

  $service_obj->Method(Att1 => { DockerVolumeConfiguration => $value, ..., Name => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsEcsTaskDefinitionVolumesDetails object:

  $result = $service_obj->Method(...);
  $result->Att1->DockerVolumeConfiguration

=head1 DESCRIPTION

A data volume to mount from another container.

=head1 ATTRIBUTES


=head2 DockerVolumeConfiguration => L<Paws::SecurityHub::AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetails>

Information about a Docker volume.


=head2 EfsVolumeConfiguration => L<Paws::SecurityHub::AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetails>

Information about the Amazon Elastic File System file system that is
used for task storage.


=head2 Host => L<Paws::SecurityHub::AwsEcsTaskDefinitionVolumesHostDetails>

Information about a bind mount host volume.


=head2 Name => Str

The name of the data volume.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

