# Generated by default/object.tt
package Paws::SecurityHub::AwsElasticBeanstalkEnvironmentEnvironmentLink;
  use Moose;
  has EnvironmentName => (is => 'ro', isa => 'Str');
  has LinkName => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsElasticBeanstalkEnvironmentEnvironmentLink

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsElasticBeanstalkEnvironmentEnvironmentLink object:

  $service_obj->Method(Att1 => { EnvironmentName => $value, ..., LinkName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsElasticBeanstalkEnvironmentEnvironmentLink object:

  $result = $service_obj->Method(...);
  $result->Att1->EnvironmentName

=head1 DESCRIPTION

Contains information about a link to another environment that is in the
same group.

=head1 ATTRIBUTES


=head2 EnvironmentName => Str

The name of the linked environment.


=head2 LinkName => Str

The name of the environment link.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

