# Generated by default/object.tt
package Paws::SecurityHub::AwsElasticsearchDomainLogPublishingOptions;
  use Moose;
  has IndexSlowLogs => (is => 'ro', isa => 'Paws::SecurityHub::AwsElasticsearchDomainLogPublishingOptionsLogConfig');
  has SearchSlowLogs => (is => 'ro', isa => 'Paws::SecurityHub::AwsElasticsearchDomainLogPublishingOptionsLogConfig');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsElasticsearchDomainLogPublishingOptions

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsElasticsearchDomainLogPublishingOptions object:

  $service_obj->Method(Att1 => { IndexSlowLogs => $value, ..., SearchSlowLogs => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsElasticsearchDomainLogPublishingOptions object:

  $result = $service_obj->Method(...);
  $result->Att1->IndexSlowLogs

=head1 DESCRIPTION

configures the CloudWatch Logs to publish for the Elasticsearch domain.

=head1 ATTRIBUTES


=head2 IndexSlowLogs => L<Paws::SecurityHub::AwsElasticsearchDomainLogPublishingOptionsLogConfig>

Configures the Elasticsearch index logs publishing.


=head2 SearchSlowLogs => L<Paws::SecurityHub::AwsElasticsearchDomainLogPublishingOptionsLogConfig>

Configures the Elasticsearch search slow log publishing.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

