# Generated by default/object.tt
package Paws::SecurityHub::AwsElbAppCookieStickinessPolicy;
  use Moose;
  has CookieName => (is => 'ro', isa => 'Str');
  has PolicyName => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsElbAppCookieStickinessPolicy

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsElbAppCookieStickinessPolicy object:

  $service_obj->Method(Att1 => { CookieName => $value, ..., PolicyName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsElbAppCookieStickinessPolicy object:

  $result = $service_obj->Method(...);
  $result->Att1->CookieName

=head1 DESCRIPTION

Contains information about a stickiness policy that was created using
C<CreateAppCookieStickinessPolicy>.

=head1 ATTRIBUTES


=head2 CookieName => Str

The name of the application cookie used for stickiness.


=head2 PolicyName => Str

The mnemonic name for the policy being created. The name must be unique
within the set of policies for the load balancer.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

