# Generated by default/object.tt
package Paws::SecurityHub::AwsElbLoadBalancerListenerDescription;
  use Moose;
  has Listener => (is => 'ro', isa => 'Paws::SecurityHub::AwsElbLoadBalancerListener');
  has PolicyNames => (is => 'ro', isa => 'ArrayRef[Str|Undef]');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsElbLoadBalancerListenerDescription

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsElbLoadBalancerListenerDescription object:

  $service_obj->Method(Att1 => { Listener => $value, ..., PolicyNames => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsElbLoadBalancerListenerDescription object:

  $result = $service_obj->Method(...);
  $result->Att1->Listener

=head1 DESCRIPTION

Lists the policies that are enabled for a load balancer listener.

=head1 ATTRIBUTES


=head2 Listener => L<Paws::SecurityHub::AwsElbLoadBalancerListener>

Information about the listener.


=head2 PolicyNames => ArrayRef[Str|Undef]

The policies enabled for the listener.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

