# Generated by default/object.tt
package Paws::SecurityHub::AwsIamAccessKeySessionContext;
  use Moose;
  has Attributes => (is => 'ro', isa => 'Paws::SecurityHub::AwsIamAccessKeySessionContextAttributes');
  has SessionIssuer => (is => 'ro', isa => 'Paws::SecurityHub::AwsIamAccessKeySessionContextSessionIssuer');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsIamAccessKeySessionContext

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsIamAccessKeySessionContext object:

  $service_obj->Method(Att1 => { Attributes => $value, ..., SessionIssuer => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsIamAccessKeySessionContext object:

  $result = $service_obj->Method(...);
  $result->Att1->Attributes

=head1 DESCRIPTION

Provides information about the session that the key was used for.

=head1 ATTRIBUTES


=head2 Attributes => L<Paws::SecurityHub::AwsIamAccessKeySessionContextAttributes>

Attributes of the session that the key was used for.


=head2 SessionIssuer => L<Paws::SecurityHub::AwsIamAccessKeySessionContextSessionIssuer>

Information about the entity that created the session.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

