# Generated by default/object.tt
package Paws::SecurityHub::AwsIamAccessKeySessionContextSessionIssuer;
  use Moose;
  has AccountId => (is => 'ro', isa => 'Str');
  has Arn => (is => 'ro', isa => 'Str');
  has PrincipalId => (is => 'ro', isa => 'Str');
  has Type => (is => 'ro', isa => 'Str');
  has UserName => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsIamAccessKeySessionContextSessionIssuer

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsIamAccessKeySessionContextSessionIssuer object:

  $service_obj->Method(Att1 => { AccountId => $value, ..., UserName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsIamAccessKeySessionContextSessionIssuer object:

  $result = $service_obj->Method(...);
  $result->Att1->AccountId

=head1 DESCRIPTION

Information about the entity that created the session.

=head1 ATTRIBUTES


=head2 AccountId => Str

The identifier of the AWS account that created the session.


=head2 Arn => Str

The ARN of the session.


=head2 PrincipalId => Str

The principal ID of the principal (user, role, or group) that created
the session.


=head2 Type => Str

The type of principal (user, role, or group) that created the session.


=head2 UserName => Str

The name of the principal that created the session.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

