# Generated by default/object.tt
package Paws::SecurityHub::AwsRdsDbParameterGroup;
  use Moose;
  has DbParameterGroupName => (is => 'ro', isa => 'Str');
  has ParameterApplyStatus => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsRdsDbParameterGroup

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsRdsDbParameterGroup object:

  $service_obj->Method(Att1 => { DbParameterGroupName => $value, ..., ParameterApplyStatus => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsRdsDbParameterGroup object:

  $result = $service_obj->Method(...);
  $result->Att1->DbParameterGroupName

=head1 DESCRIPTION

Provides information about a parameter group for a DB instance.

=head1 ATTRIBUTES


=head2 DbParameterGroupName => Str

The name of the parameter group.


=head2 ParameterApplyStatus => Str

The status of parameter updates.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

