# Generated by default/object.tt
package Paws::SecurityHub::AwsRedshiftClusterIamRole;
  use Moose;
  has ApplyStatus => (is => 'ro', isa => 'Str');
  has IamRoleArn => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsRedshiftClusterIamRole

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsRedshiftClusterIamRole object:

  $service_obj->Method(Att1 => { ApplyStatus => $value, ..., IamRoleArn => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsRedshiftClusterIamRole object:

  $result = $service_obj->Method(...);
  $result->Att1->ApplyStatus

=head1 DESCRIPTION

An IAM role that the cluster can use to access other AWS services.

=head1 ATTRIBUTES


=head2 ApplyStatus => Str

The status of the IAM role's association with the cluster.

Valid values: C<in-sync> | C<adding> | C<removing>


=head2 IamRoleArn => Str

The ARN of the IAM role.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

