# Generated by default/object.tt
package Paws::SecurityHub::AwsRedshiftClusterPendingModifiedValues;
  use Moose;
  has AutomatedSnapshotRetentionPeriod => (is => 'ro', isa => 'Int');
  has ClusterIdentifier => (is => 'ro', isa => 'Str');
  has ClusterType => (is => 'ro', isa => 'Str');
  has ClusterVersion => (is => 'ro', isa => 'Str');
  has EncryptionType => (is => 'ro', isa => 'Str');
  has EnhancedVpcRouting => (is => 'ro', isa => 'Bool');
  has MaintenanceTrackName => (is => 'ro', isa => 'Str');
  has MasterUserPassword => (is => 'ro', isa => 'Str');
  has NodeType => (is => 'ro', isa => 'Str');
  has NumberOfNodes => (is => 'ro', isa => 'Int');
  has PubliclyAccessible => (is => 'ro', isa => 'Bool');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsRedshiftClusterPendingModifiedValues

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsRedshiftClusterPendingModifiedValues object:

  $service_obj->Method(Att1 => { AutomatedSnapshotRetentionPeriod => $value, ..., PubliclyAccessible => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsRedshiftClusterPendingModifiedValues object:

  $result = $service_obj->Method(...);
  $result->Att1->AutomatedSnapshotRetentionPeriod

=head1 DESCRIPTION

Changes to the Amazon Redshift cluster that are currently pending.

=head1 ATTRIBUTES


=head2 AutomatedSnapshotRetentionPeriod => Int

The pending or in-progress change to the automated snapshot retention
period.


=head2 ClusterIdentifier => Str

The pending or in-progress change to the identifier for the cluster.


=head2 ClusterType => Str

The pending or in-progress change to the cluster type.


=head2 ClusterVersion => Str

The pending or in-progress change to the service version.


=head2 EncryptionType => Str

The encryption type for a cluster.


=head2 EnhancedVpcRouting => Bool

Indicates whether to create the cluster with enhanced VPC routing
enabled.


=head2 MaintenanceTrackName => Str

The name of the maintenance track that the cluster changes to during
the next maintenance window.


=head2 MasterUserPassword => Str

The pending or in-progress change to the master user password for the
cluster.


=head2 NodeType => Str

The pending or in-progress change to the cluster's node type.


=head2 NumberOfNodes => Int

The pending or in-progress change to the number of nodes in the
cluster.


=head2 PubliclyAccessible => Bool

The pending or in-progress change to whether the cluster can be
connected to from the public network.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

