# Generated by default/object.tt
package Paws::SecurityHub::AwsRedshiftClusterResizeInfo;
  use Moose;
  has AllowCancelResize => (is => 'ro', isa => 'Bool');
  has ResizeType => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::SecurityHub::AwsRedshiftClusterResizeInfo

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::SecurityHub::AwsRedshiftClusterResizeInfo object:

  $service_obj->Method(Att1 => { AllowCancelResize => $value, ..., ResizeType => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::SecurityHub::AwsRedshiftClusterResizeInfo object:

  $result = $service_obj->Method(...);
  $result->Att1->AllowCancelResize

=head1 DESCRIPTION

Information about the resize operation for the cluster.

=head1 ATTRIBUTES


=head2 AllowCancelResize => Bool

Indicates whether the resize operation can be canceled.


=head2 ResizeType => Str

The type of resize operation.

Valid values: C<ClassicResize>



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::SecurityHub>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

