# Generated by default/object.tt
package Paws::ServiceCatalog::ExecutionParameter;
  use Moose;
  has DefaultValues => (is => 'ro', isa => 'ArrayRef[Str|Undef]');
  has Name => (is => 'ro', isa => 'Str');
  has Type => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::ServiceCatalog::ExecutionParameter

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ServiceCatalog::ExecutionParameter object:

  $service_obj->Method(Att1 => { DefaultValues => $value, ..., Type => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ServiceCatalog::ExecutionParameter object:

  $result = $service_obj->Method(...);
  $result->Att1->DefaultValues

=head1 DESCRIPTION

Details of an execution parameter value that is passed to a
self-service action when executed on a provisioned product.

=head1 ATTRIBUTES


=head2 DefaultValues => ArrayRef[Str|Undef]

The default values for the execution parameter.


=head2 Name => Str

The name of the execution parameter.


=head2 Type => Str

The execution parameter type.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ServiceCatalog>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

