# Generated by default/object.tt
package Paws::ServiceQuotas::QuotaPeriod;
  use Moose;
  has PeriodUnit => (is => 'ro', isa => 'Str');
  has PeriodValue => (is => 'ro', isa => 'Int');

1;

### main pod documentation begin ###

=head1 NAME

Paws::ServiceQuotas::QuotaPeriod

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::ServiceQuotas::QuotaPeriod object:

  $service_obj->Method(Att1 => { PeriodUnit => $value, ..., PeriodValue => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::ServiceQuotas::QuotaPeriod object:

  $result = $service_obj->Method(...);
  $result->Att1->PeriodUnit

=head1 DESCRIPTION

Information about the quota period.

=head1 ATTRIBUTES


=head2 PeriodUnit => Str

The time unit.


=head2 PeriodValue => Int

The value.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::ServiceQuotas>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

