# Generated by default/object.tt
package Paws::Snowball::INDTaxDocuments;
  use Moose;
  has GSTIN => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Snowball::INDTaxDocuments

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Snowball::INDTaxDocuments object:

  $service_obj->Method(Att1 => { GSTIN => $value, ..., GSTIN => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Snowball::INDTaxDocuments object:

  $result = $service_obj->Method(...);
  $result->Att1->GSTIN

=head1 DESCRIPTION

The tax documents required in AWS Regions in India.

=head1 ATTRIBUTES


=head2 GSTIN => Str

The Goods and Services Tax (GST) documents required in AWS Regions in
India.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Snowball>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

