# Generated by default/object.tt
package Paws::Snowball::SnowconeDeviceConfiguration;
  use Moose;
  has WirelessConnection => (is => 'ro', isa => 'Paws::Snowball::WirelessConnection');

1;

### main pod documentation begin ###

=head1 NAME

Paws::Snowball::SnowconeDeviceConfiguration

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::Snowball::SnowconeDeviceConfiguration object:

  $service_obj->Method(Att1 => { WirelessConnection => $value, ..., WirelessConnection => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::Snowball::SnowconeDeviceConfiguration object:

  $result = $service_obj->Method(...);
  $result->Att1->WirelessConnection

=head1 DESCRIPTION

Specifies the device configuration for an AWS Snowcone job.

=head1 ATTRIBUTES


=head2 WirelessConnection => L<Paws::Snowball::WirelessConnection>

Configures the wireless connection for the AWS Snowcone device.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::Snowball>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

