# Generated by default/object.tt
package Paws::WAFRegional::RegexMatchSetUpdate;
  use Moose;
  has Action => (is => 'ro', isa => 'Str', required => 1);
  has RegexMatchTuple => (is => 'ro', isa => 'Paws::WAFRegional::RegexMatchTuple', required => 1);

1;

### main pod documentation begin ###

=head1 NAME

Paws::WAFRegional::RegexMatchSetUpdate

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::WAFRegional::RegexMatchSetUpdate object:

  $service_obj->Method(Att1 => { Action => $value, ..., RegexMatchTuple => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::WAFRegional::RegexMatchSetUpdate object:

  $result = $service_obj->Method(...);
  $result->Att1->Action

=head1 DESCRIPTION

This is B<AWS WAF Classic> documentation. For more information, see AWS
WAF Classic
(https://docs.aws.amazon.com/waf/latest/developerguide/classic-waf-chapter.html)
in the developer guide.

B<For the latest version of AWS WAF>, use the AWS WAFV2 API and see the
AWS WAF Developer Guide
(https://docs.aws.amazon.com/waf/latest/developerguide/waf-chapter.html).
With the latest version, AWS WAF has a single set of endpoints for
regional and global use.

In an UpdateRegexMatchSet request, C<RegexMatchSetUpdate> specifies
whether to insert or delete a RegexMatchTuple and includes the settings
for the C<RegexMatchTuple>.

=head1 ATTRIBUTES


=head2 B<REQUIRED> Action => Str

Specifies whether to insert or delete a RegexMatchTuple.


=head2 B<REQUIRED> RegexMatchTuple => L<Paws::WAFRegional::RegexMatchTuple>

Information about the part of a web request that you want AWS WAF to
inspect and the identifier of the regular expression (regex) pattern
that you want AWS WAF to search for. If you specify C<DELETE> for the
value of C<Action>, the C<RegexMatchTuple> values must exactly match
the values in the C<RegexMatchTuple> that you want to delete from the
C<RegexMatchSet>.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::WAFRegional>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

