# Generated by default/object.tt
package Paws::WAFV2::RateBasedStatementManagedKeysIPSet;
  use Moose;
  has Addresses => (is => 'ro', isa => 'ArrayRef[Str|Undef]');
  has IPAddressVersion => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::WAFV2::RateBasedStatementManagedKeysIPSet

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::WAFV2::RateBasedStatementManagedKeysIPSet object:

  $service_obj->Method(Att1 => { Addresses => $value, ..., IPAddressVersion => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::WAFV2::RateBasedStatementManagedKeysIPSet object:

  $result = $service_obj->Method(...);
  $result->Att1->Addresses

=head1 DESCRIPTION

The set of IP addresses that are currently blocked for a rate-based
statement.

=head1 ATTRIBUTES


=head2 Addresses => ArrayRef[Str|Undef]

The IP addresses that are currently blocked.


=head2 IPAddressVersion => Str





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::WAFV2>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

