# Generated by default/object.tt
package Paws::WellArchitected::MilestoneSummary;
  use Moose;
  has MilestoneName => (is => 'ro', isa => 'Str');
  has MilestoneNumber => (is => 'ro', isa => 'Int');
  has RecordedAt => (is => 'ro', isa => 'Str');
  has WorkloadSummary => (is => 'ro', isa => 'Paws::WellArchitected::WorkloadSummary');

1;

### main pod documentation begin ###

=head1 NAME

Paws::WellArchitected::MilestoneSummary

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::WellArchitected::MilestoneSummary object:

  $service_obj->Method(Att1 => { MilestoneName => $value, ..., WorkloadSummary => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::WellArchitected::MilestoneSummary object:

  $result = $service_obj->Method(...);
  $result->Att1->MilestoneName

=head1 DESCRIPTION

A milestone summary return object.

=head1 ATTRIBUTES


=head2 MilestoneName => Str




=head2 MilestoneNumber => Int




=head2 RecordedAt => Str




=head2 WorkloadSummary => L<Paws::WellArchitected::WorkloadSummary>





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::WellArchitected>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

