# Generated by default/object.tt
package Paws::WellArchitected::NotificationSummary;
  use Moose;
  has LensUpgradeSummary => (is => 'ro', isa => 'Paws::WellArchitected::LensUpgradeSummary');
  has Type => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::WellArchitected::NotificationSummary

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::WellArchitected::NotificationSummary object:

  $service_obj->Method(Att1 => { LensUpgradeSummary => $value, ..., Type => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::WellArchitected::NotificationSummary object:

  $result = $service_obj->Method(...);
  $result->Att1->LensUpgradeSummary

=head1 DESCRIPTION

A notification summary return object.

=head1 ATTRIBUTES


=head2 LensUpgradeSummary => L<Paws::WellArchitected::LensUpgradeSummary>

Summary of lens upgrade.


=head2 Type => Str

The type of notification.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::WellArchitected>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

