# Generated by default/object.tt
package Paws::WellArchitected::VersionDifferences;
  use Moose;
  has PillarDifferences => (is => 'ro', isa => 'ArrayRef[Paws::WellArchitected::PillarDifference]');

1;

### main pod documentation begin ###

=head1 NAME

Paws::WellArchitected::VersionDifferences

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::WellArchitected::VersionDifferences object:

  $service_obj->Method(Att1 => { PillarDifferences => $value, ..., PillarDifferences => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::WellArchitected::VersionDifferences object:

  $result = $service_obj->Method(...);
  $result->Att1->PillarDifferences

=head1 DESCRIPTION

The differences between the base and latest versions of the lens.

=head1 ATTRIBUTES


=head2 PillarDifferences => ArrayRef[L<Paws::WellArchitected::PillarDifference>]

The differences between the base and latest versions of the lens.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::WellArchitected>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

