# Generated by default/object.tt
package Paws::WellArchitected::WorkloadSummary;
  use Moose;
  has ImprovementStatus => (is => 'ro', isa => 'Str');
  has Lenses => (is => 'ro', isa => 'ArrayRef[Str|Undef]');
  has Owner => (is => 'ro', isa => 'Str');
  has RiskCounts => (is => 'ro', isa => 'Paws::WellArchitected::RiskCounts');
  has UpdatedAt => (is => 'ro', isa => 'Str');
  has WorkloadArn => (is => 'ro', isa => 'Str');
  has WorkloadId => (is => 'ro', isa => 'Str');
  has WorkloadName => (is => 'ro', isa => 'Str');

1;

### main pod documentation begin ###

=head1 NAME

Paws::WellArchitected::WorkloadSummary

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::WellArchitected::WorkloadSummary object:

  $service_obj->Method(Att1 => { ImprovementStatus => $value, ..., WorkloadName => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::WellArchitected::WorkloadSummary object:

  $result = $service_obj->Method(...);
  $result->Att1->ImprovementStatus

=head1 DESCRIPTION

A workload summary return object.

=head1 ATTRIBUTES


=head2 ImprovementStatus => Str




=head2 Lenses => ArrayRef[Str|Undef]




=head2 Owner => Str




=head2 RiskCounts => L<Paws::WellArchitected::RiskCounts>




=head2 UpdatedAt => Str




=head2 WorkloadArn => Str




=head2 WorkloadId => Str




=head2 WorkloadName => Str





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::WellArchitected>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

