# Generated by default/object.tt
package Paws::XRay::AnomalousService;
  use Moose;
  has ServiceId => (is => 'ro', isa => 'Paws::XRay::ServiceId');

1;

### main pod documentation begin ###

=head1 NAME

Paws::XRay::AnomalousService

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::XRay::AnomalousService object:

  $service_obj->Method(Att1 => { ServiceId => $value, ..., ServiceId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::XRay::AnomalousService object:

  $result = $service_obj->Method(...);
  $result->Att1->ServiceId

=head1 DESCRIPTION

The service within the service graph that has anomalously high fault
rates.

=head1 ATTRIBUTES


=head2 ServiceId => L<Paws::XRay::ServiceId>





=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::XRay>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

